# ux-date-picker



<!-- Auto Generated Below -->


## Properties

| Property       | Attribute       | Description                                                            | Type                  | Default        |
| -------------- | --------------- | ---------------------------------------------------------------------- | --------------------- | -------------- |
| `activeMonth`  | `active-month`  | The currently active month (0-11)                                      | `number`              | `undefined`    |
| `activeYear`   | `active-year`   | The currently active year (YYYY)                                       | `number`              | `undefined`    |
| `dateFormat`   | `date-format`   | Format of the date value                                               | `string`              | `"YYYY-MM-DD"` |
| `disabled`     | `disabled`      | Flag that controls if the field is disabled                            | `boolean`             | `false`        |
| `error`        | `error`         | Indicates an invalid date                                              | `boolean`             | `false`        |
| `errorMsg`     | `error-msg`     | Error message that is rendered in invalid state                        | `string`              | `null`         |
| `firstWeekday` | `first-weekday` | The weekday the calendar starts with (0=sunday, 1=monday, 6=saturday)  | `number`              | `1`            |
| `initialValue` | `initial-value` | Initial date, formatted according dateFormat pattern                   | `string`              | `""`           |
| `inputId`      | `input-id`      | Input id attribute                                                     | `string`              | `undefined`    |
| `kind`         | `kind`          | Controls the appearance of the control                                 | `"default" \| "form"` | `"default"`    |
| `label`        | `label`         | Label text describing the input field                                  | `string`              | `undefined`    |
| `language`     | `language`      | The language in which texts are displayed                              | `string`              | `undefined`    |
| `maxDate`      | `max-date`      | Optionally, the date can be restricted to a maximum value (YYYY-MM-DD) | `string`              | `undefined`    |
| `minDate`      | `min-date`      | Optionally, the date can be restricted to a minimum value (YYYY-MM-DD) | `string`              | `undefined`    |
| `name`         | `name`          | Input name attribute                                                   | `string`              | `"date"`       |
| `placeholder`  | `placeholder`   | Input placeholder text                                                 | `string`              | `undefined`    |
| `rangeEnd`     | `range-end`     | Optional range end date (YYYY-MM-DD)                                   | `string`              | `""`           |
| `rangeStart`   | `range-start`   | Optional range start date (YYYY-MM-DD)                                 | `string`              | `""`           |
| `required`     | `required`      | Indicates if the field is mandatory                                    | `boolean`             | `false`        |
| `resetText`    | `reset-text`    | Label for the reset button                                             | `string`              | `undefined`    |
| `todayText`    | `today-text`    | Label for the today button                                             | `string`              | `undefined`    |


## Events

| Event          | Description                          | Type                                            |
| -------------- | ------------------------------------ | ----------------------------------------------- |
| `uxDateHover`  | Emitted when hovering a calendar day | `CustomEvent<{ name: string; value: string; }>` |
| `uxDateSelect` | Emitted when a date is selected      | `CustomEvent<{ name: string; value: string; }>` |


## Methods

### `selectDate(value: string) => Promise<void>`

Select a date

#### Returns

Type: `Promise<void>`




## Dependencies

### Used by

 - [ux-date-range-picker](../date-range-picker)

### Depends on

- [ux-icon](../icon)

### Graph
```mermaid
graph TD;
  ux-date-picker --> ux-icon
  ux-date-range-picker --> ux-date-picker
  style ux-date-picker fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
