# ux-file-upload



<!-- Auto Generated Below -->


## Properties

| Property                 | Attribute                   | Description                                                                                           | Type      | Default                                                             |
| ------------------------ | --------------------------- | ----------------------------------------------------------------------------------------------------- | --------- | ------------------------------------------------------------------- |
| `acceptedFiles`          | `accepted-files`            | Accepted file types in comma separated list of mime types or file extensions                          | `string`  | `"image/*,application/pdf"`                                         |
| `disabled`               | `disabled`                  | indicates if the file upload is disabled                                                              | `boolean` | `false`                                                             |
| `error`                  | `error`                     | indicates if the file upload has an error state. Use error attribute only for static error rendering. | `boolean` | `false`                                                             |
| `errorMsg`               | `error-msg`                 | generic error message to be displayed                                                                 | `string`  | `""`                                                                |
| `inputName`              | `input-name`                | the name to be given to the file inputs                                                               | `string`  | `""`                                                                |
| `label`                  | `label`                     | Label text describing the file upload field                                                           | `string`  | `""`                                                                |
| `maxFileSize`            | `max-file-size`             | The maximum upload file size in MB                                                                    | `number`  | `20`                                                                |
| `maxFiles`               | `max-files`                 | Option to send multiple files in one request                                                          | `number`  | `3`                                                                 |
| `messageInvalidFile`     | `message-invalid-file`      | Message invalid file extension                                                                        | `string`  | `"One of the uploaded files did not have the right file extension"` |
| `messageMaxFileSize`     | `message-max-file-size`     | Message Upload limit reached                                                                          | `string`  | `"One of the uploaded files was too big"`                           |
| `messageMaxFilesReached` | `message-max-files-reached` | Message Upload limit reached                                                                          | `string`  | `"Upload limit reached"`                                            |
| `messageUploadFailed`    | `message-upload-failed`     | Generic message upload failed                                                                         | `string`  | `"The upload was not successful, please try again later"`           |
| `required`               | `required`                  | indicates if the file upload is required                                                              | `boolean` | `false`                                                             |


## Dependencies

### Depends on

- [ux-file-upload-thumbnail](file-upload-thumbnail)
- [ux-icon](../icon)

### Graph
```mermaid
graph TD;
  ux-file-upload --> ux-file-upload-thumbnail
  ux-file-upload --> ux-icon
  ux-file-upload-thumbnail --> ux-icon
  style ux-file-upload fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
