# ux-message-box



<!-- Auto Generated Below -->


## Properties

| Property        | Attribute         | Description                                                                  | Type                                                                                      | Default             |
| --------------- | ----------------- | ---------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- | ------------------- |
| `headline`      | `headline`        | headline text                                                                | `string`                                                                                  | `""`                |
| `icon`          | `icon`            | icon - set empty string to omit the icon                                     | `string`                                                                                  | `null`              |
| `iconSize`      | `icon-size`       | icon size with unit                                                          | `string`                                                                                  | `"60px"`            |
| `intro`         | `intro`           | intro text that is displayed above the headline                              | `string`                                                                                  | `""`                |
| `noCloseButton` | `no-close-button` | do not show the close button                                                 | `boolean`                                                                                 | `false`             |
| `type`          | `type`            | message box type. Possible values are `error`,`info`,`warning` and `success` | `MessageTypes.error \| MessageTypes.info \| MessageTypes.success \| MessageTypes.warning` | `MessageTypes.info` |


## Events

| Event            | Description                                                                        | Type                                   |
| ---------------- | ---------------------------------------------------------------------------------- | -------------------------------------- |
| `uxMessageClose` | Emitted before the actual redirect takes place, includes the URL, can be cancelled | `CustomEvent<HTMLUxMessageBoxElement>` |


## Dependencies

### Depends on

- [ux-icon](../icon)

### Graph
```mermaid
graph TD;
  ux-message-box --> ux-icon
  style ux-message-box fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
