# ux-phone-input



<!-- Auto Generated Below -->


## Properties

| Property         | Attribute         | Description                                                                                                                                                         | Type      | Default     |
| ---------------- | ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------- | ----------- |
| `country`        | `country`         | Default or detected phone number country code (ISO-2)                                                                                                               | `string`  | `""`        |
| `countryOptions` | `country-options` | List of country codes to display in the country dropdown (comma-separated, uppercase, e.g. "DE,FR,CN,IT,US"). If unset or empty, all available countries are shown. | `string`  | `undefined` |
| `disabled`       | `disabled`        | Indicates that the field is disabled                                                                                                                                | `boolean` | `false`     |
| `error`          | `error`           | Indicates an invalid value. If set to true, an optional errorMsg is shown.                                                                                          | `boolean` | `false`     |
| `errorMsg`       | `error-msg`       | Error message text that is rendered in error state                                                                                                                  | `string`  | `undefined` |
| `initialValue`   | `initial-value`   | <span style="color:red">**[DEPRECATED]**</span> Initial value for the input - this can be replaced with value<br/><br/>                                             | `string`  | `""`        |
| `inputId`        | `input-id`        | Used for the input id                                                                                                                                               | `string`  | `undefined` |
| `label`          | `label`           | Used to render an input label                                                                                                                                       | `string`  | `""`        |
| `language`       | `language`        | Language in which country names should be displayed                                                                                                                 | `string`  | `""`        |
| `name`           | `name`            | Used for the input name                                                                                                                                             | `string`  | `""`        |
| `required`       | `required`        | Indicates that the field is mandatory                                                                                                                               | `boolean` | `false`     |
| `value`          | `value`           | value for the input                                                                                                                                                 | `string`  | `""`        |


## Dependencies

### Depends on

- [ux-country-icon](../country-icon)
- [ux-icon](../icon)

### Graph
```mermaid
graph TD;
  ux-phone-input --> ux-country-icon
  ux-phone-input --> ux-icon
  style ux-phone-input fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
