# ux-radio-button



<!-- Auto Generated Below -->


## Properties

| Property   | Attribute   | Description                                                          | Type      | Default     |
| ---------- | ----------- | -------------------------------------------------------------------- | --------- | ----------- |
| `checked`  | `checked`   | indicates if the radio button is checked                             | `boolean` | `false`     |
| `disabled` | `disabled`  | indicates if the radio button is disabled                            | `boolean` | `false`     |
| `error`    | `error`     | indicates if the radio button has an error state                     | `boolean` | `false`     |
| `errorMsg` | `error-msg` | Error message that is rendered if component has an error             | `string`  | `null`      |
| `inputId`  | `input-id`  | Input id attribute                                                   | `string`  | `undefined` |
| `label`    | `label`     | text inside the radio button label element, visible to the user      | `string`  | `""`        |
| `name`     | `name`      | name which is used for radio button groups or as identifier in forms | `string`  | `""`        |
| `required` | `required`  | indicates if the radio button is required                            | `boolean` | `false`     |
| `value`    | `value`     | value of the input element, not visible to the user                  | `string`  | `""`        |


## Events

| Event                 | Description                                                              | Type               |
| --------------------- | ------------------------------------------------------------------------ | ------------------ |
| `uxRadioButtonChange` | radio button event, will be emitted when the radio button becomes active | `CustomEvent<any>` |


## Methods

### `getLabel() => Promise<string>`

returns the innerHTML of the label element

#### Returns

Type: `Promise<string>`




## Dependencies

### Used by

 - [ux-radio-list-item](../radio-list-item)

### Graph
```mermaid
graph TD;
  ux-radio-list-item --> ux-radio-button
  style ux-radio-button fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
