# ux-toggle-button



<!-- Auto Generated Below -->


## Properties

| Property      | Attribute      | Description                                                                                                             | Type      | Default |
| ------------- | -------------- | ----------------------------------------------------------------------------------------------------------------------- | --------- | ------- |
| `error`       | `error`        | the component sets this to true when an error occurs while communicating with the API                                   | `boolean` | `false` |
| `iconOff`     | `icon-off`     | name of icon to show when in state "off"                                                                                | `string`  | `""`    |
| `iconOn`      | `icon-on`      | name of icon to show when in state "on"                                                                                 | `string`  | `""`    |
| `on`          | `on`           | is the toggle on or off                                                                                                 | `boolean` | `false` |
| `syncId`      | `sync-id`      | this id is used to identify similar toggleButtons to synchronise them                                                   | `string`  | `""`    |
| `textOff`     | `text-off`     | text to show on toggle button in "off" state (if used with icon it will be the title attribute)                         | `string`  | `""`    |
| `textOn`      | `text-on`      | text to show on toggle button in "on" state (if used with icon it will be the title attribute)                          | `string`  | `""`    |
| `toggleUrl`   | `toggle-url`   | optional url to be called when the item should be toggled                                                               | `string`  | `""`    |
| `untoggleUrl` | `untoggle-url` | optional url to be called when the item should be untoggled (-> off), can be left empty if it is identical to toggleUrl | `string`  | `""`    |


## Events

| Event            | Description                                                                   | Type                   |
| ---------------- | ----------------------------------------------------------------------------- | ---------------------- |
| `uxToggle`       | when button is clicked - returns the new toggle state as boolean              | `CustomEvent<boolean>` |
| `uxToggleFailed` | when call to toggle url failed - returns the original toggle state as boolean | `CustomEvent<boolean>` |


## Dependencies

### Depends on

- [ux-icon](../icon)

### Graph
```mermaid
graph TD;
  ux-toggle-button --> ux-icon
  style ux-toggle-button fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Built with [Stencil](https://stenciljs.com/).
