import { EventEmitter } from "../../stencil-public-runtime";
/**
 * @slot - Can be used for Label instead of the label Prop.
 */
export declare class Checkbox {
  /** value of the input element, not visible to the user */
  value: string;
  /** text inside the checkbox label element, visible to the user */
  label: string;
  /** Input id attribute */
  inputId?: string;
  /** name which is used for checkbox groups or as identifier in forms */
  name: string;
  /** indicates if the checkbox is checked */
  checked: boolean;
  /** indicates if the checkbox is disabled */
  disabled: boolean;
  /** indicates if the checkbox is required  */
  required: boolean;
  /** indicates if the checkbox has an error state  */
  error: boolean;
  /** Error message that is rendered if component has an error */
  errorMsg: string | null;
  /** to be set if the checkbox should not have content inside the label */
  noLabel: boolean;
  /** the ux-checkbox element */
  element: HTMLUxCheckboxElement;
  /** the checkbox input element */
  private checkboxInputElement;
  setInputId(): void;
  componentWillLoad(): void;
  /** checkbox event, includes checked status, inputId and input name */
  checkboxEvent: EventEmitter;
  private onChange;
  render(): any;
}
