import { ComponentInterface } from "../../stencil-public-runtime";
import { Dayjs } from "dayjs";
export declare class DateRangePicker implements ComponentInterface {
  /** The component DOM node */
  domNode: HTMLUxDateRangePickerElement;
  /** Format of the date value */
  dateFormat: string;
  /** Flag that controls if the field is disabled */
  disabled: boolean;
  /** Error message that is rendered in invalid state */
  errorMsg: string | null;
  /** The weekday the calendar starts with (0=sunday, 1=monday, 6=saturday) */
  firstWeekday: number;
  /** Input id attribute */
  inputId?: string;
  /** Controls the appearance of the control */
  kind: "default" | "form";
  /** The language in which texts are displayed */
  language?: string;
  /** Optionally, the date can be restricted to a maximum value (YYYY-MM-DD) */
  maxDate?: string;
  /** Optionally, the date can be restricted to a minimum value (YYYY-MM-DD) */
  minDate?: string;
  /** the input placeholder text */
  placeholder?: string;
  /** Label for the reset button */
  resetText?: string;
  /** Label for the today button */
  todayText?: string;
  /** Label text for the range end field */
  rangeStartLabel?: string;
  /** Name for the range start input */
  rangeStartName: string;
  /** Initial range start date (YYYY-MM-DD) */
  rangeStartValue: string;
  /** Flag that controls if the range start is mandatory */
  rangeStartRequired: boolean;
  /** Indicates an invalid end date */
  rangeStartError: boolean;
  /** Error message for the range start field */
  rangeStartErrorMsg: string | null;
  /** Label text for the range end field */
  rangeEndLabel?: string;
  /** Name for the range end input */
  rangeEndName: string;
  /** Initial range end date (YYYY-MM-DD) */
  rangeEndValue: string;
  /** Flag that controls if the range end is mandatory */
  rangeEndRequired: boolean;
  /** Indicates an invalid end date */
  rangeEndError: boolean;
  /** Error message for the range end field */
  rangeEndErrorMsg: string | null;
  /** Storage for the range start day */
  rangeStartDay: Dayjs | null;
  /** Storage for the range end day */
  rangeEndDay: Dayjs | null;
  private startDatePicker;
  private endDatePicker;
  setInputId(): void;
  setInitialRangeStart(): void;
  setInitialRangeEnd(): void;
  handleDateSelect(event: any): void;
  handleDateHover(event: any): void;
  private getActiveRange;
  componentWillLoad(): void;
  render(): any;
}
