import { EventEmitter } from "../../stencil-public-runtime";
/**
 * @slot (default) - for the content of the label
 */
export declare class InputField {
  /** label for the the input field */
  label: string;
  /** value of the input element */
  value: string;
  /** input id attribute */
  inputId: string;
  /** type of the input field */
  type: string;
  /** name of the input field */
  name: string;
  /** placeholder for the input field */
  placeholder: string;
  /** indicates if the input field is disabled */
  disabled: boolean;
  /** indicates if the input field is required  */
  required: boolean;
  /** indicates if the input field has an error state  */
  error: boolean;
  /** error message that is rendered if component has an error */
  errorMsg: string;
  setInputId(): void;
  componentWillLoad(): void;
  /** event emitted on input change, deliveres an object with keys: currentValue, inputName and inputId */
  inputChange: EventEmitter;
  private onInput;
  render(): any;
}
