import { EventEmitter } from "../../stencil-public-runtime";
import { MessageType } from "./message-types";
export declare class MessageBox {
  private baseClass;
  messageBoxElement: HTMLUxMessageBoxElement;
  /** message box type. Possible values are `error`,`info`,`warning` and `success` */
  type: MessageType;
  /** intro text that is displayed above the headline */
  intro: string;
  /** headline text */
  headline: string;
  /** icon - set empty string to omit the icon */
  icon: string;
  /** icon size with unit */
  iconSize: string;
  /** do not show the close button */
  noCloseButton: boolean;
  /** Emitted before the actual redirect takes place, includes the URL, can be cancelled  */
  close: EventEmitter<HTMLUxMessageBoxElement>;
  /** close message box on click */
  private closeMessageBox;
  private getIcon;
  render(): any;
}
