export declare class NumberInput {
  /** name attribute for the input */
  name?: string;
  /** initial value for the input */
  initialValue?: string;
  /** size of increment/decrement for the plus/minus button */
  step?: string;
  /** max value */
  max?: string;
  /** min value */
  min?: string;
  /** Label text describing the number input field */
  label: string;
  /** indicates if the number input is disabled */
  disabled: boolean;
  /** indicates if the number input is required  */
  required: boolean;
  /** indicates if the number input has an error state  */
  error: boolean;
  /** Error message that is rendered if component has an error */
  errorMsg: string | null;
  /** id attribute for the input element, this will be set automatically if it is not set by the developer */
  inputId: string;
  domNode: HTMLUxNumberInputElement;
  value: number;
  minValue: number;
  maxValue: number;
  stepValue: number;
  componentWillLoad(): void;
  private setNumbers;
  private handlePlus;
  private handleMinus;
  private changeValue;
  private onChange;
  render(): any;
}
