import { CountryData } from "./regions";
export declare class PhoneInput {
  /** DOM node */
  domNode: HTMLUxPhoneInputElement;
  /** Used for the input id */
  inputId?: string;
  /** Used to render an input label */
  label?: string;
  /** Used for the input name */
  name?: string;
  /** Indicates that the field is disabled */
  disabled: boolean;
  /** Indicates that the field is mandatory */
  required: boolean;
  /** Indicates an invalid value. If set to true, an optional errorMsg is shown. */
  error: boolean;
  /** Error message text that is rendered in error state */
  errorMsg?: string;
  /** value for the input */
  value?: string;
  /** @deprecated Initial value for the input - this can be replaced with value */
  initialValue?: string;
  /** Language in which country names should be displayed */
  language: string;
  /** Default or detected phone number country code (ISO-2) */
  country: string;
  /** List of country codes to display in the country dropdown (comma-separated, uppercase, e.g. "DE,FR,CN,IT,US"). If unset or empty, all available countries are shown. */
  countryOptions?: string;
  /** DOM node of the input element */
  private inputElement;
  isDropdownOpen: boolean;
  hasFocus: boolean;
  menuItems: CountryData[];
  activeMenuItem: number;
  setLanguage(): void;
  setCountry(): void;
  setInitialValue(): void;
  setActiveMenuItem(): void;
  handleDropdownOpen(): void;
  componentWillLoad(): void;
  disconnectedCallback(): void;
  private loadCountries;
  private updateValueAndCountry;
  private updateDropdownMenu;
  private toggleDropdownOpen;
  private handleClickDoc;
  private handleInputChange;
  private handleFocus;
  private handleBlur;
  private handleSelectCountry;
  private handleKeyPress;
  render(): any;
}
