import { EventEmitter } from "../../stencil-public-runtime";
export declare class RadioButton {
  private radioButtonElement;
  private radioInputElement;
  private labelElement;
  element: HTMLUxRadioButtonElement;
  /** value of the input element, not visible to the user */
  value: string;
  /** text inside the radio button label element, visible to the user */
  label: string;
  /** Input id attribute */
  inputId?: string;
  /** name which is used for radio button groups or as identifier in forms */
  name: string;
  /** indicates if the radio button is checked */
  checked: boolean;
  /** indicates if the radio button is disabled */
  disabled: boolean;
  /** indicates if the radio button is required  */
  required: boolean;
  /** indicates if the radio button has an error state  */
  error: boolean;
  /** Error message that is rendered if component has an error */
  errorMsg: string | null;
  hasMedia: boolean;
  groupName: string | null;
  setInputId(): void;
  componentWillLoad(): void;
  componentDidLoad(): void;
  private checkForButtonGroup;
  private handleComponentClick;
  /** radio button event, will be emitted when the radio button becomes active */
  radioButtonEvent: EventEmitter;
  private onRadioButtonChange;
  /** returns the innerHTML of the label element */
  getLabel(): Promise<string>;
  render(): any;
}
