import{Component,h,Prop,Host,State,Element,Watch}from"@stencil/core";import{getSuggestions}from"./get-suggestions";import{getUniqueId}from"../../utils/unique-id";import{Label}from"../label/label";export class AutosuggestInput{constructor(){this.placeholder="",this.name="",this.inputId="",this.label="",this.url="",this.disabled=!1,this.required=!1,this.error=!1,this.errorMsg=null,this.suggestions=[],this.input="",this.isHidden=!0,this.id=""}componentWillLoad(){const{inputId:inputId}=this;this.id=inputId||getUniqueId()}onInput(event){if(""===this.url)return;const{value:value}=event.target;this.input=value,""!==value?getSuggestions(`${this.url}?q=${value}`).then((response=>this.suggestions=response)).catch((error=>console.error(error))):this.suggestions=[]}onBlur(){this.isHidden=!0}onFocus(){this.isHidden=!1}onClick(event,value){event.preventDefault();this.domNode.querySelector("input").value=value,this.suggestions=[]}render(){const baseClass="ux-autosuggest-input",{placeholder:placeholder,name:name,suggestions:suggestions,id:id,input:input,label:label,isHidden:isHidden,disabled:disabled,required:required,error:error,errorMsg:errorMsg}=this;return h(Host,{class:{[baseClass]:!0,[`${baseClass}--disabled`]:disabled,[`${baseClass}--error`]:error},onFocusout:()=>this.onBlur()},h(Label,{required:required,label:label,error:error,errorMsg:errorMsg,htmlFor:id}),h("div",{class:`${baseClass}__input-container`},h("input",{class:"ux-input",name:name,type:"text",placeholder:placeholder,autocomplete:"off",autocapitalize:"off",id:id,onInput:event=>this.onInput(event),onFocus:()=>this.onFocus()}),h("div",{class:{[`${baseClass}__suggestions`]:!0,[`${baseClass}__suggestions--hidden`]:isHidden}},null==suggestions?void 0:suggestions.map((({value:value,description:description,image:image})=>h("a",{class:`${baseClass}__suggestion-link`,href:"#",onFocus:()=>this.onFocus(),onClick:event=>this.onClick(event,value)},h("ux-autosuggest-item",{text:value,input:input,subline:description,image:image})))))))}static get is(){return"ux-autosuggest-input"}static get originalStyleUrls(){return{$:["autosuggest-input.scss"]}}static get styleUrls(){return{$:["autosuggest-input.css"]}}static get properties(){return{placeholder:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"placeholder text for input"},attribute:"placeholder",reflect:!1,defaultValue:'""'},name:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"name attribute for input"},attribute:"name",reflect:!1,defaultValue:'""'},inputId:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"id attribute for input. A unique id will be generated if this is empty"},attribute:"input-id",reflect:!1,defaultValue:'""'},label:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"label for input"},attribute:"label",reflect:!1,defaultValue:'""'},url:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"URL for autosuggest-API"},attribute:"url",reflect:!1,defaultValue:'""'},disabled:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"indicates if the autosuggest input is disabled"},attribute:"disabled",reflect:!1,defaultValue:"false"},required:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"indicates if the autosuggest input is required"},attribute:"required",reflect:!1,defaultValue:"false"},error:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"indicates if the autosuggest input has an error"},attribute:"error",reflect:!1,defaultValue:"false"},errorMsg:{type:"string",mutable:!1,complexType:{original:"string | null",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Error message that is rendered if component has an error"},attribute:"error-msg",reflect:!1,defaultValue:"null"}}}static get states(){return{suggestions:{},input:{},isHidden:{},id:{}}}static get elementRef(){return"domNode"}static get watchers(){return[{propName:"inputId",methodName:"componentWillLoad"}]}}