import{Element,Event,Component,h,Host,Method,Prop,State,Watch}from"@stencil/core";import dayjs from"dayjs";import{getUniqueId}from"../../utils/unique-id";import{initI18nDate}from"../../utils/initI18nDate";import{DATE_ISO}from"./constants";import{getCalendarSheet,isDateAfter,isDateBefore,restrictDateToRange}from"./calendar-utils";import CalendarDay from"./calendar-day";import{Label}from"../label/label";const baseClass="ux-date-picker";export class DatePicker{constructor(){this.dateFormat="YYYY-MM-DD",this.disabled=!1,this.required=!1,this.error=!1,this.errorMsg=null,this.firstWeekday=1,this.initialValue="",this.kind="default",this.name="date",this.rangeStart="",this.rangeEnd="",this.isActive=!1,this.calendarSheet=null,this.selectedDay=null,this.todayDateISO=null,this.inputElement=null,this.stepActiveMonth=step=>{let nextMonth=this.activeMonth+=step;nextMonth>11?(this.activeYear++,nextMonth-=12):nextMonth<0&&(this.activeYear--,nextMonth+=12),this.activeMonth=nextMonth},this.stepActiveYear=step=>{this.activeYear+=step},this.handleClickField=()=>{this.disabled||(this.isActive=!this.isActive)},this.handleSelectDay=day=>{const selectedDay=restrictDateToRange(day,this.minDate,this.maxDate);this.dateSelected.emit({name:this.name,value:selectedDay.format(DATE_ISO)}).defaultPrevented||(this.selectedDay=selectedDay,this.error=!1),this.isActive=!1},this.handleHoverDay=day=>{this.dateHover.emit({name:this.name,value:day.format(DATE_ISO)})},this.handleClickDoc=event=>{this.isActive&&event.target.closest(baseClass)!==this.domNode&&(this.isActive=!1)},this.handleInputChange=event=>{const value=event.target.value,d=dayjs(value,this.dateFormat);d.isValid()?(this.selectDate(d.format(DATE_ISO)),this.error=!1):(value.length>0||this.required)&&(this.error=!0)}}async selectDate(value){const d=dayjs(value);d.isValid()?(this.selectedDay=restrictDateToRange(d,this.minDate,this.maxDate),this.activeYear=this.selectedDay.year().valueOf(),this.activeMonth=this.selectedDay.month().valueOf()):this.selectedDay=null}setInputId(){this.inputId=this.inputId||getUniqueId()}setLanguage(){void 0!==this.language&&""!==this.language&&initI18nDate(this.language).then((()=>this.updateCalendar())).catch()}setInitialValue(){if(""!==this.initialValue){const initialDate=dayjs(this.initialValue,this.dateFormat);if(initialDate.isValid())return void this.selectDate(initialDate.format(DATE_ISO))}this.selectedDay=null}setCalendarOptions(){this.updateCalendar()}setIsActive(){this.isActive?(null!==this.selectedDay&&(this.activeYear=this.selectedDay.year().valueOf(),this.activeMonth=this.selectedDay.month().valueOf()),document.addEventListener("click",this.handleClickDoc)):(document.removeEventListener("click",this.handleClickDoc),this.required&&null===this.selectedDay?this.error=!0:null!==this.selectedDay&&this.updateInputValue())}updateInputValue(){const{inputElement:inputElement,selectedDay:selectedDay,dateFormat:dateFormat}=this;null!==inputElement&&(null!==selectedDay?(inputElement.value=selectedDay.format(dateFormat),this.error=!1):inputElement.value="")}updateCalendar(){const{activeYear:activeYear,activeMonth:activeMonth,firstWeekday:firstWeekday,language:language}=this;this.calendarSheet="number"==typeof activeYear&&"number"==typeof activeMonth?getCalendarSheet(activeYear,activeMonth,firstWeekday,language):null}reset(){void 0!==this.initialValue&&""!==this.initialValue?this.setInitialValue():this.selectedDay=null,this.dateSelected.emit({name:this.name,value:null!==this.selectedDay?this.selectedDay.format(DATE_ISO):""}),this.isActive=!1}showToday(){const date=dayjs(this.todayDateISO);date.isValid()&&(this.activeYear=date.year(),this.activeMonth=date.month())}getDayIsDisabled(dateISO){return isDateAfter(dateISO,this.maxDate)||isDateBefore(dateISO,this.minDate)}getIsInRange(dateISO){const{rangeStart:rangeStart,rangeEnd:rangeEnd}=this;return(""!==this.rangeStart||""!==this.rangeEnd)&&(""!==rangeStart&&""===rangeEnd?isDateAfter(dateISO,rangeStart,!0):(""!==rangeEnd&&""===rangeStart||isDateAfter(dateISO,rangeStart,!0))&&isDateBefore(dateISO,rangeEnd,!0))}componentWillLoad(){const today=dayjs();this.todayDateISO=today.format(DATE_ISO),"number"!=typeof this.activeYear&&(this.activeYear=today.year()),"number"!=typeof this.activeMonth&&(this.activeMonth=today.month()),this.setInputId(),this.setLanguage(),this.setInitialValue(),this.setCalendarOptions()}disconnectedCallback(){document.removeEventListener("click",this.handleClickDoc)}render(){const{activeMonth:activeMonth,activeYear:activeYear,calendarSheet:calendarSheet,dateFormat:dateFormat,disabled:disabled,error:error,errorMsg:errorMsg,inputId:inputId,isActive:isActive,kind:kind,label:label,name:name,placeholder:placeholder,required:required,selectedDay:selectedDay,todayDateISO:todayDateISO,todayText:todayText,resetText:resetText}=this,selectedDateISO=null!==selectedDay?selectedDay.format(DATE_ISO):"",selectedDateFormatted=null!==selectedDay?selectedDay.format(dateFormat):"",hasFooter=void 0!==todayText||void 0!==resetText;return h(Host,{class:{[baseClass]:!0,[`${baseClass}--disabled`]:!!disabled,[`${baseClass}--invalid`]:!!error,[`${baseClass}--kind-default`]:"default"===kind,[`${baseClass}--kind-form`]:"form"===kind}},h(Label,{required:required,label:label,error:error,errorMsg:errorMsg,htmlFor:inputId}),h("div",{class:`${baseClass}__field`,onClick:this.handleClickField},h("input",{class:{"ux-input":!0,"ux-input--error":!!error},disabled:disabled,id:inputId,name:name,placeholder:placeholder,readOnly:"form"!==kind,ref:el=>this.inputElement=el,type:"text","aria-invalid":error,onInput:this.handleInputChange,onBlur:this.handleInputChange,value:selectedDateFormatted}),h("ux-icon",{name:"calendar"})),isActive&&h("div",{class:`${baseClass}__container`},h("div",{class:`${baseClass}__header`},h("button",{onClick:()=>this.stepActiveYear(-1)},h("ux-icon",{name:"arrow-nav-left-double"})),h("button",{onClick:()=>this.stepActiveMonth(-1)},h("ux-icon",{name:"arrow-nav-left"})),h("span",{class:`${baseClass}__title`},calendarSheet.monthName," ",activeYear),h("button",{onClick:()=>this.stepActiveMonth(1)},h("ux-icon",{name:"arrow-nav-right"})),h("button",{onClick:()=>this.stepActiveYear(1)},h("ux-icon",{name:"arrow-nav-right-double"}))),h("div",{class:`${baseClass}__calendar`},calendarSheet.dayNames.map((dayName=>h("span",{class:{[`${baseClass}__calendar-day`]:!0,[`${baseClass}__calendar-head`]:!0}},dayName))),calendarSheet.days.map((dateISO=>{const date=dayjs(dateISO);return h(CalendarDay,{baseClass:baseClass,date:date,isDisabled:this.getDayIsDisabled(dateISO),isInactive:date.month()!==activeMonth,isHighlighted:this.getIsInRange(dateISO),isSelected:dateISO===selectedDateISO,isToday:dateISO===todayDateISO,onSelectDay:this.handleSelectDay,onHoverDay:this.handleHoverDay})}))),hasFooter&&h("div",{class:`${baseClass}__footer`},resetText&&h("button",{class:"ux-text-link ux-text-link--green",onClick:()=>this.reset()},resetText),todayText&&h("button",{class:"ux-text-link ux-text-link--green",onClick:()=>this.showToday()},todayText))))}static get is(){return"ux-date-picker"}static get originalStyleUrls(){return{$:["date-picker.scss"]}}static get styleUrls(){return{$:["date-picker.css"]}}static get properties(){return{activeMonth:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!0,docs:{tags:[],text:"The currently active month (0-11)"},attribute:"active-month",reflect:!1},activeYear:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!0,docs:{tags:[],text:"The currently active year (YYYY)"},attribute:"active-year",reflect:!1},dateFormat:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Format of the date value"},attribute:"date-format",reflect:!1,defaultValue:'"YYYY-MM-DD"'},disabled:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Flag that controls if the field is disabled"},attribute:"disabled",reflect:!1,defaultValue:"false"},required:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Indicates if the field is mandatory"},attribute:"required",reflect:!1,defaultValue:"false"},error:{type:"boolean",mutable:!0,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Indicates an invalid date"},attribute:"error",reflect:!0,defaultValue:"false"},errorMsg:{type:"string",mutable:!1,complexType:{original:"string | null",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Error message that is rendered in invalid state"},attribute:"error-msg",reflect:!1,defaultValue:"null"},firstWeekday:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"The weekday the calendar starts with (0=sunday, 1=monday, 6=saturday)"},attribute:"first-weekday",reflect:!1,defaultValue:"1"},initialValue:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Initial date, formatted according dateFormat pattern"},attribute:"initial-value",reflect:!1,defaultValue:'""'},inputId:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Input id attribute"},attribute:"input-id",reflect:!1},kind:{type:"string",mutable:!1,complexType:{original:'"default" | "form"',resolved:'"default" | "form"',references:{}},required:!1,optional:!1,docs:{tags:[],text:"Controls the appearance of the control"},attribute:"kind",reflect:!1,defaultValue:'"default"'},label:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Label text describing the input field"},attribute:"label",reflect:!1},language:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"The language in which texts are displayed"},attribute:"language",reflect:!1},maxDate:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Optionally, the date can be restricted to a maximum value (YYYY-MM-DD)"},attribute:"max-date",reflect:!1},minDate:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Optionally, the date can be restricted to a minimum value (YYYY-MM-DD)"},attribute:"min-date",reflect:!1},name:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Input name attribute"},attribute:"name",reflect:!1,defaultValue:'"date"'},placeholder:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Input placeholder text"},attribute:"placeholder",reflect:!1},rangeStart:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Optional range start date (YYYY-MM-DD)"},attribute:"range-start",reflect:!1,defaultValue:'""'},rangeEnd:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Optional range end date (YYYY-MM-DD)"},attribute:"range-end",reflect:!1,defaultValue:'""'},resetText:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Label for the reset button"},attribute:"reset-text",reflect:!1},todayText:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Label for the today button"},attribute:"today-text",reflect:!1}}}static get states(){return{isActive:{},calendarSheet:{},selectedDay:{},todayDateISO:{}}}static get events(){return[{method:"dateSelected",name:"uxDateSelect",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"Emitted when a date is selected"},complexType:{original:"{ name: string; value: string }",resolved:"{ name: string; value: string; }",references:{}}},{method:"dateHover",name:"uxDateHover",bubbles:!0,cancelable:!1,composed:!0,docs:{tags:[],text:"Emitted when hovering a calendar day"},complexType:{original:"{ name: string; value: string }",resolved:"{ name: string; value: string; }",references:{}}}]}static get methods(){return{selectDate:{complexType:{signature:"(value: string) => Promise<void>",parameters:[{tags:[],text:""}],references:{Promise:{location:"global"}},return:"Promise<void>"},docs:{text:"Select a date",tags:[]}}}}static get elementRef(){return"domNode"}static get watchers(){return[{propName:"inputId",methodName:"setInputId"},{propName:"language",methodName:"setLanguage"},{propName:"initialValue",methodName:"setInitialValue"},{propName:"activeMonth",methodName:"setCalendarOptions"},{propName:"activeYear",methodName:"setCalendarOptions"},{propName:"firstWeekday",methodName:"setCalendarOptions"},{propName:"minDate",methodName:"setCalendarOptions"},{propName:"maxDate",methodName:"setCalendarOptions"},{propName:"isActive",methodName:"setIsActive"}]}}