import{Component,State,h,Host,Prop,Element,Watch,Listen}from"@stencil/core";import{checkFileType}from"./utils/checkFileType";import{checkForInvalidFileExtension,checkForInvalidFileSize,checkForTooManyFiles}from"./utils/IE11";import applyElementPolyfills from"../../polyfills/element";applyElementPolyfills();let fileInputIdCounter=0;export class FileUpload{constructor(){this.baseClass="ux-file-upload",this.fileUploadField=null,this.fileContainer=null,this.fileInputIdentifier="data-file-input-id",this.thumbnailContainer=null,this.maxFiles=3,this.maxFileSize=20,this.acceptedFiles="image/*,application/pdf",this.messageMaxFilesReached="Upload limit reached",this.messageMaxFileSize="One of the uploaded files was too big",this.messageInvalidFile="One of the uploaded files did not have the right file extension",this.messageUploadFailed="The upload was not successful, please try again later",this.errorMsg="",this.label="",this.disabled=!1,this.required=!1,this.error=!1,this.inputName="",this.effectiveAllowedSize=1024*this.maxFileSize*1024,this.allowedFileTypes=this.acceptedFiles.split(","),this.message="",this.uploadedFilesCount=0,this.supportsIndividualInputs="function"==typeof DataTransfer,this.onDragLeave=e=>{this.stopEvent(e)},this.onDragEnter=e=>{this.stopEvent(e)},this.stopEvent=e=>{e.stopPropagation(),e.preventDefault()},this.handleDrop=e=>{this.stopEvent(e);const files=e.dataTransfer.files;this.checkAndAddFiles(files)},this.onInputChange=()=>{const files=this.fileUploadField.files;this.checkAndAddFiles(files)},this.checkAndAddFiles=fileList=>{this.supportsIndividualInputs?(this.checkAndAddIndividualFiles(fileList),this.fileUploadField.files=null):checkForTooManyFiles(fileList,this.maxFiles,this.uploadedFilesCount)?checkForInvalidFileExtension(fileList,this.acceptedFiles)?checkForInvalidFileSize(fileList,this.effectiveAllowedSize)||(this.error=!0,this.errorMsg=this.messageMaxFileSize,this.fileUploadField.value=null):(this.error=!0,this.errorMsg=this.messageInvalidFile,this.fileUploadField.value=null):(this.error=!0,this.errorMsg=this.messageMaxFilesReached,this.fileUploadField.value=null),this.updateUploadedFilesCount()},this.checkAndAddIndividualFiles=fileList=>{if(this.fileContainer)for(var i=0;i<fileList.length;i++)if(this.maxFiles===this.uploadedFilesCount)this.error=!0,this.errorMsg=this.messageMaxFilesReached;else if(fileList[i].size>this.effectiveAllowedSize)this.error=!0,this.errorMsg=this.messageMaxFileSize;else if(checkFileType(fileList[i],this.allowedFileTypes)){const dataTransfer=new DataTransfer;dataTransfer.items.add(fileList.item(i));const newFileIput=document.createElement("input");newFileIput.setAttribute("type","file"),newFileIput.setAttribute(this.fileInputIdentifier,String(fileInputIdCounter++)),newFileIput.setAttribute("name",this.inputName),newFileIput.files=dataTransfer.files,this.fileContainer.insertAdjacentElement("beforeend",newFileIput),this.updateUploadedFilesCount()}else this.error=!0,this.errorMsg=this.messageInvalidFile},this.updateUploadedFilesCount=()=>{let totalFiles=0;if(this.supportsIndividualInputs){const fileInputs=this.fileContainer.querySelectorAll("input");0===fileInputs.length&&(this.uploadedFilesCount=0),fileInputs.forEach((file=>{totalFiles+=file.files.length}))}else totalFiles=this.fileUploadField.files.length;this.uploadedFilesCount=totalFiles},this.renderThumbnails=()=>{if(null===this.fileContainer)return;const thumbnails=[],inputs=this.fileContainer.querySelectorAll("input");return 0!==inputs.length&&(inputs.forEach((input=>{const files=input.files;for(let i=0;i<files.length;i++){const file=files[i];thumbnails.push(h("ux-file-upload-thumbnail",{key:file.name,"file-type":file.type,file:file,"is-individual":this.supportsIndividualInputs,"file-input-id":input.getAttribute(this.fileInputIdentifier),"file-name":file.name}))}})),0!==thumbnails.length)?thumbnails:void 0},this.renderLegacyThumbnails=()=>{if(null===this.fileUploadField)return;const thumbnails=[],selectedFiles=this.fileUploadField.files;for(let i=0;i<selectedFiles.length;i++){const file=selectedFiles[i];thumbnails.push(h("ux-file-upload-thumbnail",{key:file.name,"file-type":file.type,file:file,"is-individual":this.supportsIndividualInputs,"file-name":file.name}))}return 0!==thumbnails.length?thumbnails:void 0},this.deleteAllFiles=e=>{if(e.preventDefault(),this.supportsIndividualInputs){const fileInputs=this.fileContainer.querySelectorAll("input");if(0===fileInputs.length)return;fileInputs.forEach((fileInput=>fileInput.remove())),this.updateUploadedFilesCount()}else this.fileUploadField.value=null,this.updateUploadedFilesCount()}}connectedCallback(){this.element.addEventListener("change",this.onInputChange),this.element.addEventListener("dragenter",this.onDragEnter),this.element.addEventListener("dragleave",this.onDragLeave),this.element.addEventListener("dragover",this.stopEvent),this.element.addEventListener("drop",this.handleDrop)}deleteInput(e){if(e.target.parentElement===this.thumbnailContainer)if(this.supportsIndividualInputs){const inputToDelete=this.fileContainer.querySelector(`input[${this.fileInputIdentifier}="${e.detail.fileInputId}"]`);if(null===inputToDelete)return;inputToDelete.remove()}else this.fileUploadField.value=null;this.updateUploadedFilesCount()}resetErrorTimeout(){!0===this.error&&setTimeout((()=>{this.error=!1}),4e3)}render(){const{label:label,disabled:disabled,required:required,error:error,errorMsg:errorMsg}=this;return h(Host,{class:{[`${this.baseClass}`]:!0,[`${this.baseClass}--disabled`]:disabled,[`${this.baseClass}--error`]:error}},(""!==label||!0===error&&""!==errorMsg)&&h("div",{class:"ux-label-container"},""!==label&&h("label",{class:"ux-label"},label,!0===required&&h("span",null,"*"))," ",!0===error&&""!==errorMsg&&h("span",{class:"ux-label ux-label--message ux-label--error"},errorMsg)),h("div",{class:`${this.baseClass}__file-container`,ref:el=>this.fileContainer=el}),h("div",{class:{[`${this.baseClass}__container`]:!0,[`${this.baseClass}__container--with-thumbnails`]:0!==this.uploadedFilesCount}},h("div",{class:{[`${this.baseClass}__thumbnail-container`]:!0,[`${this.baseClass}__thumbnail-container--empty`]:0===this.uploadedFilesCount},ref:el=>this.thumbnailContainer=el},h(this.supportsIndividualInputs?this.renderThumbnails:this.renderLegacyThumbnails)),h("div",{class:{[`${this.baseClass}__add-file`]:!0,[`${this.baseClass}__add-file--with-thumbnails`]:0!==this.uploadedFilesCount}},h("ux-icon",{name:"close"})),0!==this.uploadedFilesCount&&h("button",{class:`${this.baseClass}__delete-all`,onClick:this.deleteAllFiles},h("ux-icon",{name:"delete"})),h("label",{class:`${this.baseClass}__label`},h("input",{type:"file",name:this.supportsIndividualInputs?null:this.inputName,multiple:this.maxFiles>1||null,class:`${this.baseClass}__input-field`,ref:el=>this.fileUploadField=el,onFocus:()=>this.error=!1}))))}static get is(){return"ux-file-upload"}static get originalStyleUrls(){return{$:["file-upload.scss"]}}static get styleUrls(){return{$:["file-upload.css"]}}static get properties(){return{maxFiles:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Option to send multiple files in one request"},attribute:"max-files",reflect:!1,defaultValue:"3"},maxFileSize:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"The maximum upload file size in MB"},attribute:"max-file-size",reflect:!1,defaultValue:"20"},acceptedFiles:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Accepted file types in comma separated list of mime types or file extensions"},attribute:"accepted-files",reflect:!1,defaultValue:'"image/*,application/pdf"'},messageMaxFilesReached:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Message Upload limit reached"},attribute:"message-max-files-reached",reflect:!1,defaultValue:'"Upload limit reached"'},messageMaxFileSize:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Message Upload limit reached"},attribute:"message-max-file-size",reflect:!1,defaultValue:'"One of the uploaded files was too big"'},messageInvalidFile:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Message invalid file extension"},attribute:"message-invalid-file",reflect:!1,defaultValue:'"One of the uploaded files did not have the right file extension"'},messageUploadFailed:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Generic message upload failed"},attribute:"message-upload-failed",reflect:!1,defaultValue:'"The upload was not successful, please try again later"'},errorMsg:{type:"string",mutable:!0,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"generic error message to be displayed"},attribute:"error-msg",reflect:!1,defaultValue:'""'},label:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Label text describing the file upload field"},attribute:"label",reflect:!1,defaultValue:'""'},disabled:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"indicates if the file upload is disabled"},attribute:"disabled",reflect:!1,defaultValue:"false"},required:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"indicates if the file upload is required"},attribute:"required",reflect:!1,defaultValue:"false"},error:{type:"boolean",mutable:!0,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"indicates if the file upload has an error state. Use error attribute only for static error rendering."},attribute:"error",reflect:!1,defaultValue:"false"},inputName:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"the name to be given to the file inputs"},attribute:"input-name",reflect:!1,defaultValue:'""'}}}static get states(){return{message:{},uploadedFilesCount:{},supportsIndividualInputs:{}}}static get elementRef(){return"element"}static get watchers(){return[{propName:"error",methodName:"resetErrorTimeout"}]}static get listeners(){return[{name:"uxFileUploadDelete",method:"deleteInput",target:"window",capture:!1,passive:!1}]}}