import{Component,h,Prop,Host,Event,Element}from"@stencil/core";import{MessageTypes}from"./message-types";export class MessageBox{constructor(){this.baseClass="ux-message-box",this.type=MessageTypes.info,this.intro="",this.headline="",this.icon=null,this.iconSize="60px",this.noCloseButton=!1,this.closeMessageBox=()=>{this.close.emit(this.messageBoxElement).defaultPrevented||this.messageBoxElement.remove()},this.getIcon=()=>{if(null===this.icon)switch(this.type){case MessageTypes.success:return"checkmark-thin";case MessageTypes.info:return"info-rounded";case MessageTypes.warning:return"warning-triangle-simple";case MessageTypes.error:return"close-thin"}return this.icon}}render(){const{baseClass:baseClass,type:type,intro:intro,headline:headline,iconSize:iconSize,noCloseButton:noCloseButton}=this,icon=this.getIcon();return h(Host,{class:`${baseClass} ${baseClass}--${type}`},h("div",{class:`${baseClass}__container`},!noCloseButton&&h("div",{class:`${baseClass}__close`,onClick:this.closeMessageBox},h("ux-icon",{name:"close"})),""!==icon&&h("div",{class:`${baseClass}__icon`},h("ux-icon",{name:`${icon}`,style:{fontSize:iconSize}})),h("div",{class:`${baseClass}__text`},""!==intro&&h("span",{class:`${baseClass}__text-intro ux-text-status`},intro),""!==headline&&h("span",{class:`${baseClass}__text-headline ux-text-title ux-text-title--bold`},headline),h("span",{class:`${baseClass}__text-text ux-text-normal`},h("slot",null)))))}static get is(){return"ux-message-box"}static get originalStyleUrls(){return{$:["message-box.scss"]}}static get styleUrls(){return{$:["message-box.css"]}}static get properties(){return{type:{type:"string",mutable:!1,complexType:{original:"MessageType",resolved:"MessageTypes.error | MessageTypes.info | MessageTypes.success | MessageTypes.warning",references:{MessageType:{location:"import",path:"./message-types"}}},required:!1,optional:!1,docs:{tags:[],text:"message box type. Possible values are `error`,`info`,`warning` and `success`"},attribute:"type",reflect:!1,defaultValue:"MessageTypes.info"},intro:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"intro text that is displayed above the headline"},attribute:"intro",reflect:!1,defaultValue:'""'},headline:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"headline text"},attribute:"headline",reflect:!1,defaultValue:'""'},icon:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"icon - set empty string to omit the icon"},attribute:"icon",reflect:!1,defaultValue:"null"},iconSize:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"icon size with unit"},attribute:"icon-size",reflect:!1,defaultValue:'"60px"'},noCloseButton:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"do not show the close button"},attribute:"no-close-button",reflect:!1,defaultValue:"false"}}}static get events(){return[{method:"close",name:"uxMessageClose",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"Emitted before the actual redirect takes place, includes the URL, can be cancelled"},complexType:{original:"HTMLUxMessageBoxElement",resolved:"HTMLUxMessageBoxElement",references:{HTMLUxMessageBoxElement:{location:"global"}}}}]}static get elementRef(){return"messageBoxElement"}}