import{Component,Element,h,Host,Prop,State,Watch}from"@stencil/core";import{getUniqueId}from"../../utils/unique-id";import{debounce}from"../../utils/debounce";import{formatPrefix,getCallingCodeForCountry,getValidator}from"./phone-input-validator";import{getCountryDataProvider,getDefaultLanguage}from"./regions";import RegionItem from"./region-item";import{Label}from"../label/label";const baseClass="ux-phone-input";export class PhoneInput{constructor(){this.label="",this.name="",this.disabled=!1,this.required=!1,this.error=!1,this.value="",this.initialValue="",this.language="",this.country="",this.inputElement=null,this.isDropdownOpen=!1,this.hasFocus=!1,this.menuItems=[],this.activeMenuItem=-1,this.loadCountries=async()=>{try{const countries=await getCountryDataProvider(this.language),options=void 0!==this.countryOptions?this.countryOptions.split(/[^A-Z]/g).filter((str=>2===str.length)):[];this.menuItems=countries.filter((({country:country})=>0===options.length||-1!==options.indexOf(country))),this.activeMenuItem=getOptionIndexForCountry(this.menuItems,this.country)}catch(e){this.menuItems=[],this.activeMenuItem=-1}},this.updateValueAndCountry=(value,invalidate=!1)=>{const validator=getValidator(value,this.country);if(this.value=validator.getFormattedValue(),validator.isValid()){const country=validator.getCountry();void 0!==country&&country.length>0&&(this.country=country)}else this.required&&invalidate&&(this.error=!0)},this.updateDropdownMenu=debounce((()=>{const container=this.domNode.querySelector(`.${baseClass}__dropdown`);if(null===container)return;if(this.activeMenuItem<0)return;const item=container.querySelectorAll(".ux-phone-input__option")[this.activeMenuItem];if(void 0===item)return;const offsetTop=item.offsetTop,offsetBottom=offsetTop+item.offsetHeight,scrollTop=container.scrollTop,scrollBottom=scrollTop+container.clientHeight;scrollTop>offsetTop?container.scrollTop+=offsetTop-scrollTop:scrollBottom<offsetBottom&&(container.scrollTop+=offsetBottom-scrollBottom)}),10),this.toggleDropdownOpen=()=>{this.isDropdownOpen=!this.isDropdownOpen,null!==this.inputElement&&this.inputElement.focus(),this.isDropdownOpen&&this.updateDropdownMenu()},this.handleClickDoc=event=>{this.isDropdownOpen&&event.target.closest("ux-phone-input")!==this.domNode&&(this.isDropdownOpen=!1)},this.handleInputChange=event=>{const input=event.target,fixedValue=input.value.replace(/[^0-9+\-() ]/g,"");input.value!==fixedValue&&(input.value=fixedValue),this.error=!1,"input"===event.type&&(this.isDropdownOpen=!1),this.updateValueAndCountry(input.value,!0)},this.handleFocus=()=>{this.hasFocus=!0},this.handleBlur=event=>{this.hasFocus=!1,this.handleInputChange(event)},this.handleSelectCountry=country=>{this.country=country,this.isDropdownOpen=!1,null!==this.inputElement&&this.inputElement.focus()},this.handleKeyPress=event=>{const{activeMenuItem:activeMenuItem,isDropdownOpen:isDropdownOpen,menuItems:menuItems}=this,isInvalidChar=1===event.key.length&&/[^0-9+\-() ]/i.test(event.key);switch(event.key){case"Enter":isDropdownOpen&&(event.preventDefault(),void 0!==menuItems[activeMenuItem]&&this.handleSelectCountry(menuItems[activeMenuItem].country));break;case"ArrowDown":if(event.preventDefault(),0===menuItems.length)return;isDropdownOpen?this.activeMenuItem=Math.min(this.menuItems.length-1,this.activeMenuItem+1):this.isDropdownOpen=!0;break;case"ArrowUp":if(event.preventDefault(),0===menuItems.length)return;isDropdownOpen?this.activeMenuItem=Math.max(0,this.activeMenuItem-1):this.isDropdownOpen=!0;break;case"Escape":isDropdownOpen&&(event.preventDefault(),this.isDropdownOpen=!1);break;default:if(isInvalidChar&&!event.metaKey&&(event.preventDefault(),isDropdownOpen)){const char=event.key.toLowerCase(),menuItem=this.menuItems.filter((({label:label})=>label.substr(0,1).toLowerCase()===char))[0];void 0!==menuItem&&(this.activeMenuItem=this.menuItems.indexOf(menuItem))}}}}setLanguage(){this.loadCountries()}setCountry(){if(this.country.length>1){this.activeMenuItem=getOptionIndexForCountry(this.menuItems,this.country);const prefix=formatPrefix(getCallingCodeForCountry(this.country));this.value.substr(0,prefix.length)!==prefix&&(this.value=prefix)}}setInitialValue(){void 0!==this.initialValue&&""!==this.initialValue&&(this.value=this.initialValue),""!==this.value&&this.updateValueAndCountry(this.value)}setActiveMenuItem(){void 0!==this.menuItems[this.activeMenuItem]&&this.updateDropdownMenu()}handleDropdownOpen(){this.isDropdownOpen?document.addEventListener("click",this.handleClickDoc):document.removeEventListener("click",this.handleClickDoc)}componentWillLoad(){void 0===this.inputId&&(this.inputId=getUniqueId()),""===this.language&&(this.language=getDefaultLanguage()),this.setLanguage(),this.setInitialValue(),this.setCountry()}disconnectedCallback(){document.removeEventListener("click",this.handleClickDoc)}render(){const{country:country,disabled:disabled,error:error,errorMsg:errorMsg,hasFocus:hasFocus,inputId:inputId,isDropdownOpen:isDropdownOpen,label:label,menuItems:menuItems,name:name,required:required,value:value}=this,validator=getValidator(value,country),hasNumber=value.trim().length>validator.getPrefix().length,hasMenuItems=menuItems.length>0,isInvalid=!error&&hasNumber?!validator.isValid():error;return h(Host,{class:{[baseClass]:!0,[`${baseClass}--disabled`]:disabled,[`${baseClass}--required`]:required,[`${baseClass}--error`]:isInvalid,[`${baseClass}--active`]:hasFocus||isDropdownOpen,[`${baseClass}--dropdown-opened`]:isDropdownOpen}},h(Label,{required:required,label:label,error:isInvalid,errorMsg:errorMsg,htmlFor:inputId}),h("div",{class:`${baseClass}__inner`},h("button",{class:{[`${baseClass}__dropdown-button`]:!0,[`${baseClass}__dropdown-button--disabled`]:disabled||!hasMenuItems},onClick:hasMenuItems?this.toggleDropdownOpen:void 0,type:"button"},h("ux-country-icon",{country:country}),h("ux-icon",{name:"arrow-down"})),h("input",{autoComplete:"off",autoCorrect:"off",class:{"ux-input":!0,[`${baseClass}__input`]:!0},disabled:disabled,id:inputId,onInput:this.handleInputChange,onFocus:this.handleFocus,onBlur:this.handleBlur,onKeyDown:this.handleKeyPress,ref:el=>this.inputElement=el,type:"text",value:value,"aria-invalid":isInvalid}),h("input",{name:name,type:"hidden",value:validator.getValidatedValue()})),hasMenuItems&&isDropdownOpen&&h("div",{class:`${baseClass}__dropdown`},h("ul",{role:"listbox"},this.menuItems.map(((region,index)=>h(RegionItem,{active:index===this.activeMenuItem,baseClass:baseClass,onSelect:this.handleSelectCountry,region:region}))))))}static get is(){return"ux-phone-input"}static get originalStyleUrls(){return{$:["phone-input.scss"]}}static get styleUrls(){return{$:["phone-input.css"]}}static get properties(){return{inputId:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Used for the input id"},attribute:"input-id",reflect:!1},label:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Used to render an input label"},attribute:"label",reflect:!1,defaultValue:'""'},name:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Used for the input name"},attribute:"name",reflect:!1,defaultValue:'""'},disabled:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Indicates that the field is disabled"},attribute:"disabled",reflect:!1,defaultValue:"false"},required:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Indicates that the field is mandatory"},attribute:"required",reflect:!1,defaultValue:"false"},error:{type:"boolean",mutable:!0,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Indicates an invalid value. If set to true, an optional errorMsg is shown."},attribute:"error",reflect:!0,defaultValue:"false"},errorMsg:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"Error message text that is rendered in error state"},attribute:"error-msg",reflect:!1},value:{type:"string",mutable:!0,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:"value for the input"},attribute:"value",reflect:!0,defaultValue:'""'},initialValue:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[{text:"Initial value for the input - this can be replaced with value",name:"deprecated"}],text:""},attribute:"initial-value",reflect:!1,defaultValue:'""'},language:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Language in which country names should be displayed"},attribute:"language",reflect:!1,defaultValue:'""'},country:{type:"string",mutable:!0,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Default or detected phone number country code (ISO-2)"},attribute:"country",reflect:!0,defaultValue:'""'},countryOptions:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!0,docs:{tags:[],text:'List of country codes to display in the country dropdown (comma-separated, uppercase, e.g. "DE,FR,CN,IT,US"). If unset or empty, all available countries are shown.'},attribute:"country-options",reflect:!1}}}static get states(){return{isDropdownOpen:{},hasFocus:{},menuItems:{},activeMenuItem:{}}}static get elementRef(){return"domNode"}static get watchers(){return[{propName:"language",methodName:"setLanguage"},{propName:"countryOptions",methodName:"setLanguage"},{propName:"country",methodName:"setCountry"},{propName:"initialValue",methodName:"setInitialValue"},{propName:"activeMenuItem",methodName:"setActiveMenuItem"},{propName:"isDropdownOpen",methodName:"handleDropdownOpen"}]}}const getOptionIndexForCountry=(options,country)=>{let optionIndex=-1;return 0===options.length||country.length<2||options.forEach(((option,index)=>{-1===optionIndex&&option.country.valueOf()===country&&(optionIndex=index)})),optionIndex};