import{Component,Host,State,Prop,Listen,Element,Event,Method,h}from"@stencil/core";import{debounce}from"../../utils/debounce";import{renderStyles}from"./slider-style-tags";import Swiper from"swiper";import applyElementPolyfills from"../../polyfills/element";import{adjustSliderBreakpoints}from"./adjustsSliderBreakpoints";applyElementPolyfills();let sliderIdCounter=0;export class Slider{constructor(){this.hasOverflowingSlides=!0,this.baseClass="ux-slider",this.sliderId=`${this.baseClass}-id-${sliderIdCounter++}`,this.autoplay=!1,this.autoplayTime=5e3,this.pauseOnHover=!1,this.loop=!1,this.noArrows=!1,this.arrowsFollowImg=!1,this.noDrag=!1,this.effect="slide",this.speed=400,this.visibleSlidesXl=1,this.visibleSlidesL=1,this.visibleSlidesM=1,this.visibleSlidesS=1,this.breakpointL=860,this.breakpointM=768,this.breakpointS=567,this.spaceBetweenXl=0,this.spaceBetweenL=0,this.spaceBetweenM=0,this.spaceBetweenS=0,this.containerWidthXl="100%",this.containerWidthL="100%",this.containerWidthM="100%",this.containerWidthS="100%",this.slidesPerColumnXl=1,this.slidesPerColumnL=1,this.slidesPerColumnM=1,this.slidesPerColumnS=1,this.slidesPerGroupXl=1,this.slidesPerGroupL=1,this.slidesPerGroupM=1,this.slidesPerGroupS=1,this.containerClasses="",this.fadedSides=!1,this.slidesOverflowVisible=!1,this.slidesAutoHeight=!1,this.autoHeight=!1,this.reinitOnResize=!1,this.pauseOnHoverInitialized=!1,this.hasLazyLoad=!1,this.safariSidebarAdjustment=adjustSliderBreakpoints(),this.options={slideClass:"ux-slider-slide",slidePrevClass:"ux-slider-slide-prev",slideActiveClass:"ux-slider-slide-active",slideDuplicateActiveClass:"ux-slider-slide-duplicate-active",slideVisibleClass:"ux-slider-slide-visible",slideDuplicateClass:"ux-slider-slide-duplicate",slideNextClass:"ux-slider-slide-next",slideDuplicateNextClass:"ux-slider-slide-duplicate-next",slideDuplicatePrevClass:"ux-slider-slide-duplicate-prev",wrapperClass:this.baseClass+"-wrapper",containerModifierClass:this.baseClass+"-container-",slidesPerView:this.visibleSlidesXl,slidesPerColumn:this.slidesPerColumnXl,slidesPerGroup:this.slidesPerGroupXl,simulateTouch:!this.noDrag,effect:this.effect,fadeEffect:{crossFade:!0},spaceBetween:this.spaceBetweenXl,observer:!0,autoplay:!!this.autoplay&&{delay:this.autoplayTime},loop:this.loop,autoHeight:this.autoHeight,speed:this.speed,watchSlidesVisibility:!0,pagination:{el:null,clickable:!0},breakpoints:{[this.breakpointS-this.safariSidebarAdjustment]:{slidesPerView:this.visibleSlidesS,spaceBetween:this.spaceBetweenS,slidesPerColumn:this.slidesPerColumnS,slidesPerGroup:this.slidesPerGroupS},[this.breakpointM-this.safariSidebarAdjustment]:{slidesPerView:this.visibleSlidesM,spaceBetween:this.spaceBetweenM,slidesPerColumn:this.slidesPerColumnM,slidesPerGroup:this.slidesPerGroupM},[this.breakpointL-this.safariSidebarAdjustment]:{slidesPerView:this.visibleSlidesL,spaceBetween:this.spaceBetweenL,slidesPerColumn:this.slidesPerColumnL,slidesPerGroup:this.slidesPerGroupL}},on:{init:()=>{this.handleArrowsPosition(),this.sliderInitialised.emit({id:this.sliderId})},paginationRender:()=>{this.updatePagination.emit({id:this.sliderId,event:"paginationRender"})},imagesReady:()=>{this.hasLazyLoad||setTimeout((()=>{this.updatePagination.emit({id:this.sliderId,event:"imagesReady"}),this.handleArrowsPosition()}),100)},lazyImageReady:()=>{this.hasLazyLoad&&setTimeout((()=>{this.updatePagination.emit({id:this.sliderId,event:"imagesReady"}),this.handleArrowsPosition()}),100)},slideNextTransitionStart:()=>{this.updatePagination.emit({id:this.sliderId,event:"slideNextChangeStart"})},slidePrevTransitionStart:()=>{this.updatePagination.emit({id:this.sliderId,event:"slidePrevChangeStart"})}}},this.handleArrowsPosition=()=>{if(!1===this.arrowsFollowImg)return;let activeSlide=this.sliderElement.querySelector(".ux-slider-slide-active");if(null===activeSlide&&(activeSlide=this.sliderElement.querySelector(".ux-slider-slide")),null===activeSlide)return;const selector="string"==typeof this.arrowsFollowImg&&this.arrowsFollowImg.length>0?this.arrowsFollowImg:"img",slideImage=activeSlide.querySelector(selector);if(null===slideImage)return;const activeSlideStyles=window.getComputedStyle(activeSlide);let activeSlideMarginTop=parseFloat(activeSlideStyles.getPropertyValue("margin-top"));isNaN(activeSlideMarginTop)&&(activeSlideMarginTop=0);const arrowsOffsetTop=(slideImage.offsetTop>=0?slideImage.offsetTop:slideImage.parentNode.offsetTop+slideImage.offsetTop)+slideImage.offsetHeight/2+activeSlideMarginTop;this.arrowsOffsetTop!==arrowsOffsetTop&&(this.arrowsOffsetTop=arrowsOffsetTop)},this.onResize=debounce((()=>{this.reinitOnResize?this.update():(void 0!==this.swiper&&this.swiper.update(),this.handleArrowsPosition(),this.calculateSlidesOverflow())}),200),this.handleMouseActions=mouseAction=>e=>{if(void 0!==this.swiper)if("string"==typeof this.pauseOnHover&&this.pauseOnHover.length>0){if(null===document.querySelector(`.${this.pauseOnHover}`))return;null!==e.target.closest(`.${this.pauseOnHover}`)?"over"===mouseAction&&this.swiper.autoplay.stop():this.swiper.autoplay.start()}else"over"===mouseAction?this.swiper.autoplay.stop():"leave"===mouseAction&&this.swiper.autoplay.start()},this.handleMouseOver=this.handleMouseActions("over"),this.handleMouseLeave=this.handleMouseActions("leave"),this.initPauseOnHover=()=>{!1!==this.pauseOnHover&&void 0!==this.sliderElement&&!1===this.pauseOnHoverInitialized&&(this.sliderElement.addEventListener("mouseover",this.handleMouseOver),this.sliderElement.addEventListener("mouseleave",this.handleMouseLeave),this.pauseOnHoverInitialized=!0)},this.calculateSlidesOverflow=()=>{const slides=this.swiperContainer.querySelectorAll(".ux-slider-slide:not(.ux-slider-slide-duplicate)"),visibleSlides=this.swiperContainer.querySelectorAll(".ux-slider-slide-visible");this.hasOverflowingSlides=slides.length>visibleSlides.length,void 0!==this.swiper&&(this.swiper.allowTouchMove=this.hasOverflowingSlides),!0!==this.handleDuplicatesFlag&&(this.handleDuplicatesFlag=this.hasOverflowingSlides)},this.handleDuplicatesFlag=null}async updateSlidesPerView(slidesPerView){void 0!==this.swiper&&(this.swiper.params.slidesPerView=slidesPerView,this.swiper.update())}async updateSoft(){void 0!==this.swiper&&this.swiper.update()}async update(additionalOptions={}){void 0!==this.swiper&&(this.swiper.destroy(),this.swiper=new Swiper(this.swiperContainer,Object.assign(Object.assign({},this.options),additionalOptions)))}async addSlide(slide,before=!1){void 0!==this.swiper&&(before?this.swiper.prependSlide(slide):this.swiper.appendSlide(slide))}async removeSlide(index){void 0!==this.swiper&&this.swiper.removeSlide(index)}async slideNext(){void 0!==this.swiper&&this.swiper.slideNext()}async slidePrev(){void 0!==this.swiper&&this.swiper.slidePrev()}sliderStopAutoplay(event){void 0!==this.swiper&&event.detail===this.sliderId&&this.swiper.autoplay.stop()}sliderResumeAutoplay(event){void 0!==this.swiper&&(event.detail!==this.sliderId&&void 0===event.detail||this.swiper.autoplay.start())}nextSlideHandler(event){void 0!==this.swiper&&event.detail===this.sliderId&&this.swiper.slideNext()}previousSlideHandler(event){void 0!==this.swiper&&event.detail===this.sliderId&&this.swiper.slidePrev()}componentWillLoad(){const paginationElement=this.sliderElement.querySelector("ux-slider-pagination");null!==paginationElement&&(paginationElement.sliderId=this.sliderId);null!==this.sliderElement.querySelector("img.ux-slider-lazy-img")&&(this.hasLazyLoad=!0,this.options.lazy={elementClass:"ux-slider-lazy-img",loadPrevNext:!0},this.options.watchSlidesProgress=!0,this.options.preloadImages=!1),this.initPauseOnHover()}componentDidLoad(){this.options.pagination=Object.assign(Object.assign({},this.options.pagination),{el:document.querySelectorAll(`.ux-slider-pagination[slider-id="${this.sliderId}"] .ux-slider-pagination__container`)}),this.options.navigation=this.noArrows?{nextEl:null,prevEl:null}:{nextEl:document.querySelectorAll(`.ux-slider[slider-id="${this.sliderId}"] .${this.baseClass}-button-next`),prevEl:document.querySelectorAll(`.ux-slider[slider-id="${this.sliderId}"] .${this.baseClass}-button-prev`)},this.swiper=new Swiper(this.swiperContainer,this.options),this.calculateSlidesOverflow()}connectedCallback(){this.initPauseOnHover(),window.addEventListener("resize",this.onResize)}disconnectedCallback(){!1!==this.pauseOnHover&&this.pauseOnHoverInitialized&&(this.sliderElement.removeEventListener("mouseover",this.handleMouseOver),this.sliderElement.removeEventListener("mouseleave",this.handleMouseLeave),this.pauseOnHoverInitialized=!1),window.removeEventListener("resize",this.onResize)}render(){const{baseClass:baseClass,noArrows:noArrows,sliderId:sliderId,fadedSides:fadedSides,containerClasses:containerClasses,slidesOverflowVisible:slidesOverflowVisible,slidesAutoHeight:slidesAutoHeight,hasOverflowingSlides:hasOverflowingSlides}=this,sliderContainerClasses=[`${baseClass}__inner-container`];return containerClasses.length>0&&sliderContainerClasses.push(containerClasses),h(Host,{"slider-id":sliderId,class:{[baseClass]:!0,[`${baseClass}--faded-sides`]:fadedSides,[`${baseClass}--slides-overflow-visible`]:slidesOverflowVisible,[`${baseClass}--slides-auto-height`]:slidesAutoHeight}},h("div",{class:`${baseClass}__content-container`},fadedSides&&h("div",{class:`${baseClass}__faded-side ${baseClass}__faded-side--left`,style:{visibility:hasOverflowingSlides?"inherit":"hidden"},onClick:()=>{var _a;return null===(_a=this.swiper)||void 0===_a?void 0:_a.slidePrev()}}),fadedSides&&h("div",{class:`${baseClass}__faded-side ${baseClass}__faded-side--right`,style:{visibility:hasOverflowingSlides?"inherit":"hidden"},onClick:()=>{var _a;return null===(_a=this.swiper)||void 0===_a?void 0:_a.slideNext()}}),renderStyles(this),h("div",{class:sliderContainerClasses.join(" ")},h("div",{class:`${baseClass}-container`,ref:el=>this.swiperContainer=el},h("div",{class:`${baseClass}-wrapper`},h("slot",null)))),!noArrows&&h("button",{class:`${baseClass}-button-prev ux-button ux-button--icon-only ux-slider-button`},h("ux-icon",{name:"arrow-big-left"})),!noArrows&&h("button",{class:`${baseClass}-button-next ux-button ux-button--icon-only ux-slider-button`},h("ux-icon",{name:"arrow-big-right"}))),h("slot",{name:"pagination"}))}static get is(){return"ux-slider"}static get originalStyleUrls(){return{$:["slider.scss"]}}static get styleUrls(){return{$:["slider.css"]}}static get properties(){return{autoplay:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set, the slider has autoplay on"},attribute:"autoplay",reflect:!1,defaultValue:"false"},autoplayTime:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set, the slider has autoplay on"},attribute:"autoplay-time",reflect:!1,defaultValue:"5000"},pauseOnHover:{type:"any",mutable:!1,complexType:{original:"boolean | string",resolved:"boolean | string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"the slider will pause when there the mouse hovers the slider"},attribute:"pause-on-hover",reflect:!1,defaultValue:"false"},loop:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set, set the sliding to be infinite. Note This can cause issues with certain web-components. If you encounter such problems, disable loop."},attribute:"loop",reflect:!1,defaultValue:"false"},noArrows:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set, the slider will have no navigation arrows"},attribute:"no-arrows",reflect:!1,defaultValue:"false"},arrowsFollowImg:{type:"any",mutable:!1,complexType:{original:"boolean | string",resolved:"boolean | string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"set the arrow navigation to be in the middle of the image, instead of the whole slider"},attribute:"arrows-follow-img",reflect:!1,defaultValue:"false"},noDrag:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set, the swiping will be disabled for mouse drags"},attribute:"no-drag",reflect:!1,defaultValue:"false"},effect:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:'slide transition effect: one of: "slide", "fade", "cube", "coverflow", "flip"'},attribute:"effect",reflect:!1,defaultValue:'"slide"'},speed:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"the speed of the slide stransitions"},attribute:"speed",reflect:!1,defaultValue:"400"},visibleSlidesXl:{type:"any",mutable:!1,complexType:{original:'number | "auto"',resolved:'"auto" | number',references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the number of visible slides on XL viewports"},attribute:"visible-slides-xl",reflect:!1,defaultValue:"1"},visibleSlidesL:{type:"any",mutable:!1,complexType:{original:'number | "auto"',resolved:'"auto" | number',references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the number of visible slides on large viewports"},attribute:"visible-slides-l",reflect:!1,defaultValue:"1"},visibleSlidesM:{type:"any",mutable:!1,complexType:{original:'number | "auto"',resolved:'"auto" | number',references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the number of visible slides on medium viewports"},attribute:"visible-slides-m",reflect:!1,defaultValue:"1"},visibleSlidesS:{type:"any",mutable:!1,complexType:{original:'number | "auto"',resolved:'"auto" | number',references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the number of visible slides on small viewports"},attribute:"visible-slides-s",reflect:!1,defaultValue:"1"},breakpointL:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the custom breakpoint for large viewports"},attribute:"breakpoint-l",reflect:!1,defaultValue:"860"},breakpointM:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the custom breakpoint for medium viewports"},attribute:"breakpoint-m",reflect:!1,defaultValue:"768"},breakpointS:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the custom breakpoint for small viewports"},attribute:"breakpoint-s",reflect:!1,defaultValue:"567"},spaceBetweenXl:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the space between slides for XL viewports"},attribute:"space-between-xl",reflect:!1,defaultValue:"0"},spaceBetweenL:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the space between slides for large viewports"},attribute:"space-between-l",reflect:!1,defaultValue:"0"},spaceBetweenM:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the space between slides for medium viewports"},attribute:"space-between-m",reflect:!1,defaultValue:"0"},spaceBetweenS:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the space between slides for small viewports"},attribute:"space-between-s",reflect:!1,defaultValue:"0"},containerWidthXl:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the inner container width for XL viewports"},attribute:"container-width-xl",reflect:!1,defaultValue:'"100%"'},containerWidthL:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the inner container width for large viewports"},attribute:"container-width-l",reflect:!1,defaultValue:'"100%"'},containerWidthM:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the inner container width for medium viewports"},attribute:"container-width-m",reflect:!1,defaultValue:'"100%"'},containerWidthS:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the inner container width for small viewports"},attribute:"container-width-s",reflect:!1,defaultValue:'"100%"'},slidesPerColumnXl:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the slides per columns for XL viewports"},attribute:"slides-per-column-xl",reflect:!1,defaultValue:"1"},slidesPerColumnL:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the slides per columns for large viewports"},attribute:"slides-per-column-l",reflect:!1,defaultValue:"1"},slidesPerColumnM:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the slides per columns for medium viewports"},attribute:"slides-per-column-m",reflect:!1,defaultValue:"1"},slidesPerColumnS:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the slides per columns for small viewports"},attribute:"slides-per-column-s",reflect:!1,defaultValue:"1"},slidesPerGroupXl:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the slides per group of for xl viewports"},attribute:"slides-per-group-xl",reflect:!1,defaultValue:"1"},slidesPerGroupL:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the slides per group of for large viewports"},attribute:"slides-per-group-l",reflect:!1,defaultValue:"1"},slidesPerGroupM:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the slides per group for medium viewports"},attribute:"slides-per-group-m",reflect:!1,defaultValue:"1"},slidesPerGroupS:{type:"number",mutable:!1,complexType:{original:"number",resolved:"number",references:{}},required:!1,optional:!1,docs:{tags:[],text:"sets the slides per group for small viewports"},attribute:"slides-per-group-s",reflect:!1,defaultValue:"1"},containerClasses:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"additional classes that will be added to an inner div,\nused to set utility classes that will control the internal width of the slides"},attribute:"container-classes",reflect:!1,defaultValue:'""'},fadedSides:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set, slider will be centered, with the addions of shadows\non the sides to cut off excess slides on tablet viewports"},attribute:"faded-sides",reflect:!1,defaultValue:"false"},slidesOverflowVisible:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set, the slides will have overflow visible, useful when the slides have outer shadow"},attribute:"slides-overflow-visible",reflect:!1,defaultValue:"false"},slidesAutoHeight:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set, height of the slides will be alligned with the max height of the container"},attribute:"slides-auto-height",reflect:!1,defaultValue:"false"},autoHeight:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set, the height of the slider will be equal to the current visible slide"},attribute:"auto-height",reflect:!1,defaultValue:"false"},reinitOnResize:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set,slider will reinitialise itself on resize"},attribute:"reinit-on-resize",reflect:!1,defaultValue:"false"}}}static get states(){return{arrowsOffsetTop:{},hasOverflowingSlides:{},options:{},handleDuplicatesFlag:{}}}static get events(){return[{method:"updatePagination",name:"uxSliderUpdatePagination",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"event to go to previous slide"},complexType:{original:"any",resolved:"any",references:{}}},{method:"sliderInitialised",name:"uxSliderInitialised",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"event emitted when the slider is initialised"},complexType:{original:"any",resolved:"any",references:{}}}]}static get methods(){return{updateSlidesPerView:{complexType:{signature:"(slidesPerView: number) => Promise<void>",parameters:[{tags:[],text:""}],references:{Promise:{location:"global"}},return:"Promise<void>"},docs:{text:"Updates the number of slides per view of the slider\nit expects a number as argument",tags:[]}},updateSoft:{complexType:{signature:"() => Promise<void>",parameters:[],references:{Promise:{location:"global"}},return:"Promise<void>"},docs:{text:"Updates the slider with the native update() method from swiper\nIt works effectively only for minor updates (size, spacing etc.)",tags:[]}},update:{complexType:{signature:"(additionalOptions?: {}) => Promise<void>",parameters:[{tags:[],text:""}],references:{Promise:{location:"global"}},return:"Promise<void>"},docs:{text:"Update method to be used to reser and update the slider completely.\nIt can receive an optional argument with valid swiper options.\nSee Swiper API for more information of valid options.",tags:[]}},addSlide:{complexType:{signature:"(slide: Node | string, before?: boolean) => Promise<void>",parameters:[{tags:[],text:""},{tags:[],text:""}],references:{Promise:{location:"global"},Node:{location:"global"}},return:"Promise<void>"},docs:{text:"Adds the slide passed as an argument to the slider.",tags:[]}},removeSlide:{complexType:{signature:"(index: number) => Promise<void>",parameters:[{tags:[],text:""}],references:{Promise:{location:"global"}},return:"Promise<void>"},docs:{text:"Removes the slide that has the index specified as the argument from the slider",tags:[]}},slideNext:{complexType:{signature:"() => Promise<void>",parameters:[],references:{Promise:{location:"global"}},return:"Promise<void>"},docs:{text:"go to next slide",tags:[]}},slidePrev:{complexType:{signature:"() => Promise<void>",parameters:[],references:{Promise:{location:"global"}},return:"Promise<void>"},docs:{text:"go to previous slide",tags:[]}}}}static get elementRef(){return"sliderElement"}static get listeners(){return[{name:"uxSliderStopAutoplay",method:"sliderStopAutoplay",target:void 0,capture:!1,passive:!1},{name:"uxSliderResumeAutoplay",method:"sliderResumeAutoplay",target:void 0,capture:!1,passive:!1},{name:"uxSliderNextSlide",method:"nextSlideHandler",target:void 0,capture:!1,passive:!1},{name:"uxSliderPreviousSlide",method:"previousSlideHandler",target:void 0,capture:!1,passive:!1}]}}