import{Component,Prop,Host,h,Element,Event,Method,Listen,State,Watch}from"@stencil/core";import{supportsPassiveEvents}from"../../../utils/supportsPassiveEvents";import{debounce}from"../../../utils/debounce";import{getUrlParameter}from"../../../utils/getUrlParameter";import{findTextInTab}from"../utils/findTextInTab";import{scrollToTarget}from"../../../utils/scrollToTarget";export class TabContainer{constructor(){this.activeTabId="",this.noNavigation=!1,this.tabHeaderClasses="",this.alignTabButtons="center",this.scrollWhenActivated=!1,this.fixToTop=!1,this.ignoreSearchParameter=!1,this.anchorNavigation=!1,this.arrowNavigationEnabled=!1,this.offset=0,this.tabHeaderFixed=!1,this.tabOverlapping={left:!1,right:!0},this.tabButtons={},this.isBrowserSafari=/^((?!chrome|android).)*safari/i.test(navigator.userAgent),this.isBrowserIE11=-1!==window.navigator.userAgent.indexOf("Trident/"),this.updateMaxOffset=()=>{if(void 0===this.tabHeader)return;this.getTabListWidth();const parentWidth=this.tabHeader.clientWidth;this.maxOffset=this.tabListWidth-(this.tabHeaderFixed?this.tabBody.getBoundingClientRect().width:parentWidth)+60},this.updateOffset=()=>{if(null===this.tabList)return;let offset=this.tabList.querySelectorAll("ux-tab-button")[this.firstVisibleTabIndex].offsetLeft;this.isBrowserSafari&&(offset-=30),this.offset=offset<5?0:offset<this.maxOffset?offset:this.maxOffset,this.lastAction="arrow-navigation-click",this.updateScrollEnd()},this.updateScrollEnd=()=>{this.offset===this.maxOffset||this.firstVisibleTabIndex===this.maxTabIndex?this.scrollEnd="right":0===this.offset?this.scrollEnd="left":this.scrollEnd=null,this.updateTabOverlapping()},this.handleArrowNavigation=direction=>{if(void 0!==this.tabList)if("next"===direction){if(this.lastAction="arrow-navigation-click",this.maxOffset===this.offset)return;this.firstVisibleTabIndex=this.firstVisibleTabIndex<this.maxTabIndex?this.firstVisibleTabIndex+1:this.firstVisibleTabIndex,this.updateOffset()}else if("prev"===direction){if(this.lastAction="arrow-navigation-click",0===this.offset)return;this.firstVisibleTabIndex=this.firstVisibleTabIndex>0?this.firstVisibleTabIndex-1:this.firstVisibleTabIndex,this.updateOffset()}else{const currentTabActive=this.children.find((tab=>tab.tabId===this.activeTabId));this.firstVisibleTabIndex=this.children.indexOf(currentTabActive)||0,"click-on-tab"===direction||!1===direction?this.updateSelectionOffset():this.updateOffset(),this.updateFirstVisibleTabIndex()}},this.updateFirstVisibleTabIndex=()=>{setTimeout((()=>{if(null===this.tabList)return;const elements=this.tabList.querySelectorAll("ux-tab-button"),parentOffset=this.tabList.parentNode.getBoundingClientRect().left;for(let i=0;i<elements.length;i++){if(elements[i].getBoundingClientRect().left>parentOffset){this.firstVisibleTabIndex=i;break}}}),400)},this.arrowsRects={rightArrow:null,leftArrow:null},this.getArrowsRects=()=>{var _a,_b;const arrowRightRects=null===(_a=this.arrowRight)||void 0===_a?void 0:_a.getBoundingClientRect(),arrowLeftRects=null===(_b=this.arrowLeft)||void 0===_b?void 0:_b.getBoundingClientRect();this.arrowsRects={rightArrow:arrowRightRects,leftArrow:arrowLeftRects}},this.updateSelectionOffset=()=>{var _a,_b,_c;if(!this.arrowNavigationEnabled)return;const activeElement=this.tabButtons[this.activeTabId];if(void 0===activeElement)return;this.lastAction="tab-button-click";const isLastElement=null===activeElement.nextSibling,isFirstElement=null===activeElement.previousSibling;this.getArrowsRects();const activeElementRects=activeElement.getBoundingClientRect();activeElementRects.right>(null===(_a=this.arrowsRects.rightArrow)||void 0===_a?void 0:_a.left)?this.offset=isLastElement?this.maxOffset:this.offset+Math.floor(activeElementRects.right-this.arrowsRects.rightArrow.left):activeElementRects.left<(null===(_b=this.arrowsRects.leftArrow)||void 0===_b?void 0:_b.right)&&(this.offset=isFirstElement?0:this.offset+Math.floor(activeElementRects.left-(null===(_c=this.arrowsRects.leftArrow)||void 0===_c?void 0:_c.right))),this.updateScrollEnd()},this.lastAction=null,this.updateTabOverlapping=()=>{if("tab-button-click"!==this.lastAction&&"right"!==this.scrollEnd||"left"===this.scrollEnd)return void(this.tabOverlapping={right:!0,left:!1});if("tab-button-click"!==this.lastAction)return void("right"===this.scrollEnd&&(this.tabOverlapping={right:!1,left:!0}));if(void 0===this.arrowsRects.rightArrow&&this.getArrowsRects(),void 0===this.arrowsRects.rightArrow)return;const activeElement=this.tabButtons[this.activeTabId];if(void 0===activeElement)return;const activeElementRects=activeElement.getBoundingClientRect();activeElementRects.left-this.arrowsRects.leftArrow.right<35?this.tabOverlapping=Object.assign(Object.assign({},this.tabOverlapping),{left:!1}):this.tabOverlapping=Object.assign(Object.assign({},this.tabOverlapping),{left:!0}),this.arrowsRects.rightArrow.left-activeElementRects.right<35?this.tabOverlapping=Object.assign(Object.assign({},this.tabOverlapping),{right:!1}):this.tabOverlapping=Object.assign(Object.assign({},this.tabOverlapping),{right:!0})},this.setElementDimensions=()=>{this.fixToTop&&(this.tabHeaderOffsetTop=(this.tabHeaderFixed?this.tabBody.getBoundingClientRect().top:this.tabHeader.getBoundingClientRect().top)-document.body.getBoundingClientRect().top,this.tabHeaderWidth=this.tabBody.getBoundingClientRect().width,this.tabHeaderLeft=this.tabBody.getBoundingClientRect().right/2+this.tabBody.getBoundingClientRect().left/2)},this.manageArrowNavigation=(direction=null)=>{if(this.noNavigation)return;if(!this.tabHeader||!this.tabList)return;const tabHeaderWidth=this.tabHeaderFixed?this.tabHeaderWidth:this.tabHeader.getBoundingClientRect().width;this.tabListWidth>tabHeaderWidth?(this.handleArrowNavigation(direction),this.arrowNavigationEnabled||(this.arrowNavigationEnabled=!0)):this.arrowNavigationEnabled&&(this.arrowNavigationEnabled=!1)},this.handleLinkClick=e=>{var _a;if(!1===this.scrollWhenActivated)return;const selectedTabId=e.target.getAttribute("data-ux-tab-target")||(null===(_a=e.target.closest("a"))||void 0===_a?void 0:_a.getAttribute("data-ux-tab-target"));""!==selectedTabId&&null!=selectedTabId&&(e.preventDefault(),this.scrollToElement(this.activeTabId),this.tabIds.includes(selectedTabId)&&this.setActiveTab(selectedTabId,!1,!1))},this.scrollToElement=id=>{if(this.anchorNavigation)return void this.anchorNavigationScroll(id);if(!1===this.scrollWhenActivated||void 0===this.tabHeader)return;let scrollTarget=this.tabHeader;"string"==typeof this.scrollWhenActivated&&this.scrollWhenActivated.length>0&&(scrollTarget=document.querySelector(`${this.scrollWhenActivated}`)||scrollTarget),this.tabHeaderFixed&&(scrollTarget=this.tabBody),scrollToTarget({target:scrollTarget,additionalOffsetTop:0})},this.activateTabWithSearchParameter=()=>{const directActivationParameter=getUrlParameter("active-tab");if("string"==typeof directActivationParameter){if(this.children.find((tab=>tab.tabId===directActivationParameter)))return void this.setActiveTab(directActivationParameter,!0,!1)}const directActivationHash=location.hash;if(directActivationHash){const hashToId=directActivationHash.replace("#","");if(this.tabIds.includes(hashToId))return void this.setActiveTab(hashToId,!0,!1)}if(this.ignoreSearchParameter)return;const searchParameter=getUrlParameter("q");if("string"!=typeof searchParameter)return;const firstTabIdWithSearchParam=findTextInTab(this.domNode,searchParameter);this.tabIds.includes(firstTabIdWithSearchParam)&&this.setActiveTab(firstTabIdWithSearchParam,!0,!1)},this.handleFixedState=()=>{const scroll=document.documentElement.scrollTop,maxHeight=this.tabHeaderOffsetTop+this.domNode.getBoundingClientRect().height;scroll>=this.tabHeaderOffsetTop&&scroll<maxHeight?this.tabHeaderFixed=!0:this.tabHeaderFixed=!1},this.onScroll=()=>{this.fixToTop&&this.handleFixedState(),this.anchorNavigation&&this.handleAnchorOnScroll()},this.onResize=debounce((()=>{this.updateMaxOffset(),this.setElementDimensions(),this.manageArrowNavigation(),this.getArrowsRects()}),200),this.anchorNavigationScroll=tabId=>{const scrollTarget=this.children.find((child=>child.tabId===tabId));scrollTarget&&scrollToTarget({target:scrollTarget,additionalOffsetTop:this.tabHeader.getBoundingClientRect().height})},this.handleAnchorOnScroll=debounce((()=>{if(!1===this.anchorNavigation)return;void 0===this.tabHeaderHeight&&this.getTabHeaderHeight();const tabsRects=[];this.children.forEach((child=>{const rects=child.getBoundingClientRect();tabsRects.push({tabId:child.tabId,top:rects.top,bottom:rects.bottom})}));let tabToActivate=tabsRects.filter((tabRects=>{if(tabRects.top<=this.tabHeaderHeight+5&&tabRects.bottom>this.tabHeaderHeight+5)return!0}))[0];if(void 0===tabToActivate){const tabBodyRects=this.tabBody.getBoundingClientRect();if(tabBodyRects.top<0&&tabBodyRects.height<Math.abs(tabBodyRects.top))tabToActivate=this.children[this.children.length-.1];else{if(this.tabHeaderFixed)return;tabToActivate=this.children[0]}}this.setActiveTab(tabToActivate.tabId,!1,null)}),20),this.getTabHeaderHeight=()=>{var _a,_b;this.tabHeaderHeight=null===(_b=null===(_a=this.domNode)||void 0===_a?void 0:_a.querySelector(".ux-tab-container__tab-header"))||void 0===_b?void 0:_b.getBoundingClientRect().height}}updateTabButtonName(){this.onResize()}updateNavigation(){setTimeout((()=>{this.manageArrowNavigation(null)}),400)}async setActiveTab(id,scroll=!1,direction=null){"click-on-tab"===direction&&this.anchorNavigation||(this.activeTabId=id,this.activeTabEvent.emit(id)),this.handleArrowNavigation(direction),scroll&&this.scrollToElement(id)}getTabListWidth(){if(void 0===this.tabList)return;null===this.tabList&&(this.tabList=document.querySelector(".ux-tab-container__tab-list"));let tabListWidth=0;const tabElements=this.tabList.querySelectorAll("ux-tab-button");for(let i=0;i<this.maxTabIndex+1;i++)tabListWidth=tabListWidth+tabElements[i].clientWidth+5;this.tabListWidth=tabListWidth-5}componentWillLoad(){var _a;this.children=Array.from(this.domNode.children),this.tabIds=this.children.map((tab=>tab.tabId)),this.maxTabIndex=this.children.length-1,this.anchorNavigation&&this.children.forEach((child=>child.anchorNavigation=!0));const currentTabActive=this.children.find((tab=>tab.tabId===this.activeTabId));this.firstVisibleTabIndex=this.children.indexOf(currentTabActive)||0,""!==this.activeTabId?this.setActiveTab(this.activeTabId):this.setActiveTab(null===(_a=this.children[0])||void 0===_a?void 0:_a.tabId)}componentDidLoad(){window.addEventListener("click",this.handleLinkClick),window.addEventListener("resize",this.onResize),this.updateMaxOffset(),this.activateTabWithSearchParameter(),this.manageArrowNavigation(),window.addEventListener("scroll",this.onScroll,!!supportsPassiveEvents&&{passive:!0}),this.fixToTop&&this.setElementDimensions()}disconnectedCallback(){window.removeEventListener("click",this.handleLinkClick),window.removeEventListener("resize",this.onResize),window.removeEventListener("scroll",this.onScroll)}render(){const{alignTabButtons:alignTabButtons,tabListWidth:tabListWidth,arrowNavigationEnabled:arrowNavigationEnabled,tabHeaderFixed:tabHeaderFixed,tabHeaderWidth:tabHeaderWidth,tabHeaderLeft:tabHeaderLeft,isBrowserIE11:isBrowserIE11}=this,tabHeaderClasses=["ux-tab-container__tab-header"];"string"==typeof this.tabHeaderClasses&&this.tabHeaderClasses.length>0&&tabHeaderClasses.push(this.tabHeaderClasses),tabHeaderFixed&&tabHeaderClasses.push("ux-tab-container__tab-header--fixed");const tabButtonsAlignment={justifyContent:["center","space-around","space-evenly"].includes(alignTabButtons.toLowerCase())&&!isBrowserIE11?alignTabButtons:"center"},tabWithArrowsStyles=arrowNavigationEnabled?{transform:`translateX(-${this.offset}px)`,width:`${tabListWidth}px`}:{},tabListStyles=Object.assign(Object.assign({},tabButtonsAlignment),tabWithArrowsStyles),tabBodyStyles=tabHeaderFixed?{borderTop:`${this.tabHeader.getBoundingClientRect().height}px solid transparent`}:{},tabHeaderStyles=tabHeaderFixed?{width:`${tabHeaderWidth}px`,left:`${tabHeaderLeft}px`}:{};return h(Host,{class:{"ux-tab-container":!0,"ux-tab-container--arrows-active":arrowNavigationEnabled}},!this.noNavigation&&h("div",{class:tabHeaderClasses.join(" "),ref:el=>this.tabHeader=el,style:Object.assign({},tabHeaderStyles)},this.arrowNavigationEnabled&&h("span",{onClick:()=>this.handleArrowNavigation("prev"),ref:el=>this.arrowLeft=el,class:{"ux-tab-container__arrow":!0,"ux-tab-container__arrow--left":!0,"ux-tab-container__arrow--deactivated":"left"===this.scrollEnd,"is-overlapping":this.tabOverlapping.left}},h("ux-icon",{name:"arrow-left"})),h("div",{class:"ux-tab-container__tab-list",ref:el=>this.tabList=el,style:Object.assign({},tabListStyles)},this.children.map((tab=>h("ux-tab-button",{onClick:()=>this.setActiveTab(tab.tabId,!0,"click-on-tab"),ref:el=>this.tabButtons[tab.tabId]=el,name:tab.name,tabId:tab.tabId,activeTab:this.activeTabId})))),this.arrowNavigationEnabled&&h("span",{onClick:()=>this.handleArrowNavigation("next"),ref:el=>this.arrowRight=el,class:{"ux-tab-container__arrow":!0,"ux-tab-container__arrow--right":!0,"ux-tab-container__arrow--deactivated":"right"===this.scrollEnd,"is-overlapping":this.tabOverlapping.right}},h("ux-icon",{name:"arrow-right"}))),h("div",{class:"ux-tab-container__tab-body",ref:el=>this.tabBody=el,style:Object.assign({},tabBodyStyles)},h("slot",null)))}static get is(){return"ux-tab-container"}static get originalStyleUrls(){return{$:["tab-container.scss"]}}static get styleUrls(){return{$:["tab-container.css"]}}static get properties(){return{activeTabId:{type:"string",mutable:!0,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"prop which holds the active tab id"},attribute:"active-tab-id",reflect:!0,defaultValue:'""'},noNavigation:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"when this is true, the tab navigation will not be displayed"},attribute:"no-navigation",reflect:!1,defaultValue:"false"},tabHeaderClasses:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"classes to be passed down to the tab-header div, to facilitate integration"},attribute:"tab-header-classes",reflect:!1,defaultValue:'""'},alignTabButtons:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"pass in the desired justify-content flexbox value for the alignment of the tab buttons"},attribute:"align-tab-buttons",reflect:!1,defaultValue:'"center"'},scrollWhenActivated:{type:"any",mutable:!1,complexType:{original:"boolean | string",resolved:"boolean | string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set, the page will scroll so that the tab-header is at the top if the page\ncan be set either to true, and the target element will be the tab header, or a css selector\ncan be used to define the scroll target elememt"},attribute:"scroll-when-activated",reflect:!1,defaultValue:"false"},fixToTop:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set, will fiix the tab header to the top of the screen upon scrolling past it"},attribute:"fix-to-top",reflect:!1,defaultValue:"false"},ignoreSearchParameter:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:'normally, if a "q" parameter is present in the url, the component will try to look for this q\nparameter value in the content of each tabs, and if a match is found, it will activate that tab.\nWith this property set, the component will not perform any checking on the "q" parameter.'},attribute:"ignore-search-parameter",reflect:!1,defaultValue:"false"},anchorNavigation:{type:"boolean",mutable:!1,complexType:{original:"boolean",resolved:"boolean",references:{}},required:!1,optional:!1,docs:{tags:[],text:"if set, the tabs will act like an anchor navigation"},attribute:"anchor-navigation",reflect:!1,defaultValue:"false"}}}static get states(){return{arrowNavigationEnabled:{},offset:{},scrollEnd:{},tabListWidth:{},tabHeaderFixed:{},tabHeaderWidth:{},tabHeaderLeft:{},maxOffset:{},tabOverlapping:{},lastAction:{}}}static get events(){return[{method:"activeTabEvent",name:"uxActiveTabSet",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"event when the active tab was set"},complexType:{original:"string",resolved:"string",references:{}}}]}static get methods(){return{setActiveTab:{complexType:{signature:"(id: string, scroll?: boolean, direction?: Direction) => Promise<void>",parameters:[{tags:[],text:""},{tags:[],text:""},{tags:[],text:""}],references:{Promise:{location:"global"},Direction:{location:"local"}},return:"Promise<void>"},docs:{text:"id of the tab which will be active",tags:[]}}}}static get elementRef(){return"domNode"}static get watchers(){return[{propName:"arrowNavigationEnabled",methodName:"updateNavigation"}]}static get listeners(){return[{name:"uxTabNameChange",method:"updateTabButtonName",target:"window",capture:!1,passive:!1}]}}