import{h,r as registerInstance,c as createEvent,H as Host,g as getElement}from"./index-4a7b8f0b.js";var ModalStatusEnum;!function(ModalStatusEnum){ModalStatusEnum.CLOSED="closed",ModalStatusEnum.CLOSING="closing",ModalStatusEnum.OPENED="opened",ModalStatusEnum.OPENING="opening"}(ModalStatusEnum||(ModalStatusEnum={}));const baseClass="ux-modal__multi",ModalMultiIndicator=({total:total,current:current})=>total<=1?null:h("div",{class:`${baseClass}`},h("ux-steps",{items:total,current:current})),DEFAULT_PRIORITY=5;function getModalByName(name){return document.querySelector(`ux-modal[name="${name}"]`)}function getPriority(name){const modal=getModalByName(name);return null===modal||!modal.priority||isNaN(modal.priority)?5:modal.priority}const modalCss=".ux-modal{display:-ms-flexbox;display:flex;-ms-flex-direction:column;flex-direction:column;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center;top:0;left:0;width:100%;height:100%;max-width:100%;max-height:100%;pointer-events:auto;position:fixed;z-index:4000;padding:10px;-webkit-box-sizing:border-box;box-sizing:border-box;overflow:hidden}.ux-modal.ux-modal--sticky-bottom{-ms-flex-pack:end;justify-content:flex-end}.ux-modal.ux-modal--sticky-top{-ms-flex-pack:start;justify-content:flex-start}@media (max-width: 767px){.ux-modal{-ms-flex-align:stretch;align-items:stretch}}@media (min-width: 1024px){.ux-modal{padding:15px}}.ux-modal--closed{display:none}.ux-modal__backdrop{position:absolute;left:0;top:0;width:100%;height:100%;background:rgba(0, 0, 0, 0.3)}.ux-modal--opening .ux-modal__backdrop{opacity:0}.ux-modal--opened .ux-modal__backdrop{opacity:1;-webkit-transition:opacity 250ms ease-out;transition:opacity 250ms ease-out}.ux-modal--closing .ux-modal__backdrop{opacity:0;-webkit-transition:opacity 250ms ease-out;transition:opacity 250ms ease-out}.ux-modal--closed .ux-modal__backdrop{opacity:0}.ux-modal__outer{display:-ms-flexbox;display:flex;position:relative;max-width:100%;max-height:100%;overflow:auto}@media (min-width: 768px){.ux-modal__outer{width:83.3333%}}@media (min-width: 1024px){.ux-modal__outer{width:66.6666%;max-width:960px}}.ux-modal__inner{display:-ms-flexbox;display:flex;-ms-flex-direction:column;flex-direction:column;-ms-flex-align:stretch;align-items:stretch;-ms-flex-pack:stretch;justify-content:stretch;background:#fff;width:100%;max-height:100%}.ux-modal--opening .ux-modal__inner{-webkit-transform:scale(0.95);transform:scale(0.95);opacity:0}.ux-modal--opened .ux-modal__inner{-webkit-transform:none;transform:none;opacity:1;-webkit-transition:opacity 250ms ease-out, -webkit-transform 250ms ease-out;transition:opacity 250ms ease-out, -webkit-transform 250ms ease-out;transition:opacity 250ms ease-out, transform 250ms ease-out;transition:opacity 250ms ease-out, transform 250ms ease-out, -webkit-transform 250ms ease-out}.ux-modal--closing .ux-modal__inner{-webkit-transform:scale(0.95);transform:scale(0.95);opacity:0;-webkit-transition:opacity 250ms ease-out, -webkit-transform 250ms ease-out;transition:opacity 250ms ease-out, -webkit-transform 250ms ease-out;transition:opacity 250ms ease-out, transform 250ms ease-out;transition:opacity 250ms ease-out, transform 250ms ease-out, -webkit-transform 250ms ease-out}.ux-modal--closed .ux-modal__inner{-webkit-transform:scale(0.95);transform:scale(0.95)}.ux-modal__head{-ms-flex:0 0 auto;flex:0 0 auto;display:-ms-flexbox;display:flex;-ms-flex-direction:row;flex-direction:row;-ms-flex-pack:end;justify-content:flex-end;height:40px}.ux-modal__slot{-ms-flex:1 1 auto;flex:1 1 auto;display:-ms-flexbox;display:flex;width:100%;max-height:calc(100% - 40px);-ms-flex-direction:column;flex-direction:column;-ms-flex-align:stretch;align-items:stretch;-ms-flex-pack:stretch;justify-content:stretch}.ux-modal__close{-webkit-appearance:none;-moz-appearance:none;appearance:none;background:transparent;border:0 none transparent;padding:0;margin:0;outline:none;cursor:pointer;width:40px;height:40px}.ux-modal__multi{width:100%;padding:15px 0;border-bottom:1px solid #eaedf2}.ux-modal__multi .ux-steps{max-width:500px;margin:0 auto}";let Modal=class{constructor(hostRef){registerInstance(this,hostRef),this.modalClosed=createEvent(this,"uxModalClose",7),this.modalOpened=createEvent(this,"uxModalOpen",7),this.name="",this.priority=5,this.closeButtonText="",this.noCloseButton=!1,this.closeOnEscKey=!1,this.closeOnBackdropClick=!1,this.reloadOnClose=!1,this.stickyPosition="center",this.opened=!1,this.status=ModalStatusEnum.CLOSED,this.multipleModals=null,this.multipleModalsCurrent=null,this.transitionTimeout=null,this.triggerElementClickHandler=e=>{const targetElement=e.target.closest("[data-trigger-modal]");if(null===targetElement)return;(targetElement.getAttribute("data-trigger-modal")||"").split(";").map((string=>string.split(","))).forEach((trigger=>{if(trigger.length>1)switch(trigger[0].valueOf()){case"open":trigger[1]===this.name&&this.triggerOpen();break;case"close":void 0!==trigger[1]&&trigger[1]!==this.name||this.triggerClose()}}))}}async triggerClose(){this.modalClosed.emit(this.name).defaultPrevented||(this.opened=!1,this.reloadOnClose&&window.setTimeout((()=>window.location.reload()),250))}async triggerOpen(){this.modalOpened.emit(this.name).defaultPrevented||(this.opened=!0)}onOtherClosedModal(e){this.setMultipleModalsCurrent(this.getOpenMultipleModals(e.detail)),this.multipleModalsCurrent===this.name&&this.opened&&this.showModal()}onOtherOpenedModal(e){const openedModalName=e.detail,isAlreadyInCue=this.getOpenMultipleModals().indexOf(openedModalName)>-1;openedModalName===this.name||isAlreadyInCue||(this.multipleModals.push(openedModalName),this.sortMultipleModals(),this.setMultipleModalsCurrent(this.getOpenMultipleModals()))}setModalStatus(){if(null!==this.transitionTimeout&&clearTimeout(this.transitionTimeout),!this.opened){if(this.status===ModalStatusEnum.CLOSED)return;return this.status=ModalStatusEnum.CLOSING,void(this.transitionTimeout=setTimeout((()=>{this.status=ModalStatusEnum.CLOSED}),350))}this.status!==ModalStatusEnum.OPENED&&(this.initMultipleModals(),this.multipleModals.length>0&&-1===this.multipleModals.indexOf(this.name)&&this.multipleModals.push(this.name),(this.multipleModals.length<2||this.multipleModalsCurrent===this.name)&&this.showModal())}initMultipleModals(){if(null===this.multipleModals){const initiallyOpenedModals=Array.from(document.querySelectorAll("ux-modal[opened]"));this.multipleModals=initiallyOpenedModals.map((modal=>modal.name))}this.sortMultipleModals(),this.setMultipleModalsCurrent(this.getOpenMultipleModals())}setMultipleModalsCurrent(openedModals){null!==this.multipleModals&&(this.cleanupMultipleModals(openedModals),this.multipleModals.length>0&&(this.multipleModalsCurrent=openedModals[0]))}getOpenMultipleModals(exclude=null){return this.multipleModals.filter((name=>{const modal=getModalByName(name);return null!==modal&&name!==exclude&&modal.opened}))}cleanupMultipleModals(openModals){if(0===openModals.length)return this.multipleModals=[],void(this.multipleModalsCurrent=null)}sortMultipleModals(){null!==this.multipleModals&&this.multipleModals.sort(((a,b)=>getPriority(a)-getPriority(b)))}showModal(){this.status=ModalStatusEnum.OPENING,this.transitionTimeout=setTimeout((()=>{this.status=ModalStatusEnum.OPENED}),100)}handleKeyDown(event){this.closeOnEscKey&&"Escape"===event.key&&this.triggerClose()}componentWillLoad(){this.setModalStatus(),this.initMultipleModals(),this.onOtherClosedModal.bind(this),this.onOtherOpenedModal.bind(this)}componentDidLoad(){document.addEventListener("click",this.triggerElementClickHandler)}disconnectedCallback(){document.removeEventListener("click",this.triggerElementClickHandler)}render(){const handleClickClose=()=>{this.triggerClose()},currentMultiModal=this.multipleModals.indexOf(this.name)+1;return h(Host,{class:{"ux-modal":!0,[`ux-modal--${this.status}`]:!0,[`ux-modal--sticky-${this.stickyPosition}`]:!0}},h("div",{class:"ux-modal__backdrop",onClick:this.closeOnBackdropClick?handleClickClose:null}),h("div",{class:"ux-modal__outer",role:"dialog","aria-modal":!0},h("div",{class:"ux-modal__inner"},h(ModalMultiIndicator,{current:currentMultiModal,total:this.multipleModals.length}),h("div",{class:"ux-modal__head"},!this.noCloseButton&&h("button",{class:"ux-modal__close","aria-label":this.closeButtonText,title:this.closeButtonText,onClick:handleClickClose},h("ux-icon",{name:"close"}))),h("div",{class:"ux-modal__slot"},h("slot",null)))))}get domNode(){return getElement(this)}static get watchers(){return{opened:["setModalStatus"]}}};Modal.style=modalCss;export{Modal as ux_modal};